//玩家自制BOSS
const playerCustomBoss = {
    '永恒史莱姆' : {
        tags : ['魔物','史莱姆'],
        atkTime : '全天',
        atkProb : 0,
        level : 100,
        hp : 200000,
        atk : 1000,
        def : 300,
        exp : 0,
        atkSpd : 2,
        noOneKill : true,//免疫即死攻击
        type : '神话',
        items : [],
        text : '第一届玩家自制BOSS投稿活动，【苍南白】投稿',
        skills : [
            {
                name : '分裂',
                type : 'berserk',
                text : '血量降低到50%以下时必然使用，生命值上限变为一半，血量回满，防御减半，攻击减半，并增加一层“分裂”状态，该状态无法被清除',
                check : function(){return data.battleMonster.hp <= (data.battleMonster.maxHp / 2)},
                getNum : function(){return 0},
                use : function(){
                    data.battleMonster.hp = data.battleMonster.maxHp = parseInt(data.battleMonster.maxHp / 2);
                    data.battleMonster.atk = parseInt(data.battleMonster.atk / 2);
                    data.battleMonster.def = parseInt(data.battleMonster.def / 2);
                    addStatus(data.battleMonster, getStatus('分裂'))
                    addBattleLog(`${data.battleMonster.showName || data.battleMonster.name}使用了${this.name}，攻击、防御和生命上限减半，血量回满`)
                },
            },{
                name : '强酸刑罚',
                type : 'atk',
                text : '当玩家拥有至少10层粘液状态时，20%概率使用，造成3倍伤害，去除玩家所有粘液状态，每去除1层粘液状态，玩家防御减少10点。当玩家防御力变为0时，不会再减少防御力，此时每需要减少1点防御力，则扣除1点生命上限',
                check : function(){return getStatuNum(data, '粘液') >= 10 && randomNum() <= 20},
                getStatus : function(){
                    const reduceDef = getStatuNum(data, '粘液') * 10;
                    if(reduceDef){
                        if(data.def >= reduceDef){
                            data.def -= reduceDef;
                            addBattleLog(`${data.battleMonster.showName || data.battleMonster.name}使用了${this.name}，你的防御力降低了${reduceDef}`)
                        }else{
                            addBattleLog(`${data.battleMonster.showName || data.battleMonster.name}使用了${this.name}，你的防御力变为了0，并降低了${reduceDef - data.def}生命上限`)
                            data.maxHp -= reduceDef - data.def;
                            data.def = 0;
                            addObjHp(data, 0);
                        }
                    }

                    removeStatus(data, '粘液')
                    return null
                },
                getNum : function(){return data.battleMonster.atk * 3},
            },{
                name : '粘濡地牢',
                type : 'atk',
                normalAtk : true,
                text : '代替普通攻击使用，造成1倍无视防御伤害，并给玩家附加【(分裂状态层数+1)*2】层粘液状态。拥有粘液状态时攻速-2，该状态不会随回合减少层数。如果怪物自身有分裂状态，则给玩家附加和分裂状态层数相同的“被连击”状态，每层被连击状态可以让怪物多行动一次，但是依旧算再同一回合内，不会多次触发回合结束时触发的状态',
                check : function(){return true},
                getStatus : function(){
                    let statuNum = getStatuNum(data.battleMonster, '分裂');
                    if(statuNum && !hasStatus(data, '被连击')){
                        addStatus(data, getStatus('被连击', {num : statuNum}))
                    }
                    return getStatus('粘液', {num : (statuNum + 1) * 2})
                },
                getNum : function(){return data.battleMonster.atk + (data.def > 0 ? data.def : 0)},
            }
        ]
    },
    '星辰之神' : {
        tags : ['神'],
        atkTime : '全天',
        atkProb : 0,
        level : 100,
        hp : 300000,
        atk : 1200,
        def : 100,
        exp : 0,
        atkSpd : 3,
        noOneKill : true,//免疫即死攻击
        type : '神话',
        items : [],
        text : '第一届玩家自制BOSS投稿活动，【衍星】投稿',
        skills : [{
            name : '星辰威压',
            type : 'start',
            text : '进入战斗时触发，给玩家附加重压状态，攻速-1，治疗效果降低30%，命中率降低30%，该状态无法被清除',
            check : function(){return false},
            use : function(){
                addStatus(data, getStatus('重压'))
                addBattleLog(`${data.battleMonster.showName || data.battleMonster.name}使用了${this.name}，你被附加了重压状态。`);
            },
        },{
            name : '极光',
            type : 'berserk',
            text : '血量降低到70%以下，且没有极光状态时使用，给自身附加极光状态，攻速+2，该状态无法被清除',
            check : function(){return data.battleMonster.hp <= (data.battleMonster.maxHp * 0.7) && !hasStatus(data.battleMonster, '极光')},
            getNum : function(){return 0},
            use : function(){
                addStatus(data.battleMonster, getStatus('极光'))
                addBattleLog(`${data.battleMonster.showName || data.battleMonster.name}使用了${this.name}，获得了极光状态，攻速+2。`);
            },
        },{
            name : '极星凝聚',
            type : 'atk',
            text : '拥有10层星辰状态时使用使用，移除自身的极光和星辰状态，造成相当于玩家生命上限的伤害，并给自己附加星光状态，每回合恢复10%生命值，持续10回合。',
            check : function(){return getStatuNum(data.battleMonster, '星辰') >= 10},
            getStatus : function(){
                removeStatus(data.battleMonster, '极光')
                removeStatus(data.battleMonster, '星辰')
                addStatus(data.battleMonster, getStatus('星光', {addHp : parseInt(data.battleMonster.maxHp * 0.1), num : 10}));
                return null;
            },
            getNum : function(){return data.maxHp},
        },{
            name : '集星',
            type : 'atk',
            text : '拥有极光状态时必然使用，造成0.8倍伤害，并给玩家增加2000生命上限，给自身附加1层星辰状态。',
            check : function(){return hasStatus(data.battleMonster, '极光')},
            getStatus : function(){
                addStatus(data.battleMonster, getStatus('星辰'))
                data.maxHp += 2000;
                return null;
            },
            getNum : function(){return  parseInt(data.battleMonster.atk * 0.8)},
        }]
    },
    '时间之神' : {
        tags : ['神'],
        atkTime : '全天',
        atkProb : 0,
        level : 100,
        hp : 1000000,
        atk : 1000,
        def : 1000,
        exp : 0,
        atkSpd : 3,
        noOneKill : true,//免疫即死攻击
        type : '神话',
        items : [],
        text : '第一届玩家自制BOSS投稿活动，【永夜】投稿',
        skills : [{
            name : '回忆',
            type : 'recover',
            text : '生命值低于30%时使用，恢复相当于生命上限的生命值，并增加3层时间尘埃（最多增加到100层），每增加了1层，生命值和生命上限提高3%，攻击力和防御力提高2%，以第一次附加时间尘埃时的属性作为基础值计算加成。该技能只会触发一次',
            check : function(){
                if(!data.battleMonster.hy && data.battleMonster.hp <= parseInt(data.battleMonster.maxHp * 0.3)){
                    if(getStatuNum(data.battleMonster, '时间尘埃') < 100){
                        if(!data.battleMonster.sjzsAttr){
                            data.battleMonster.sjzsAttr = {
                                maxHp : data.battleMonster.maxHp,
                                atk : data.battleMonster.atk > 0 ? data.battleMonster.atk : 0,
                                def : data.battleMonster.def > 0 ? data.battleMonster.def : 0
                            }
                        }
                        const num = getStatuNum(data.battleMonster, '时间尘埃') < 97 ? 3 : 100 - getStatuNum(data.battleMonster, '时间尘埃');
                        const addHp = parseInt(data.battleMonster.sjzsAttr.maxHp * 0.03 * num);
                        data.battleMonster.maxHp += addHp;
                        battleAddHp(data.battleMonster, addHp);
                        data.battleMonster.atk += parseInt(data.battleMonster.sjzsAttr.atk * 0.02 * num)
                        data.battleMonster.def += parseInt(data.battleMonster.sjzsAttr.def * 0.02 * num)
                        addBattleLog(`${data.battleMonster.showName || data.battleMonster.name}使用了${this.name}，给自己附加了${num}层时间尘埃`)
                        addStatus(data.battleMonster, getStatus('时间尘埃', {num}));
                    }
                    data.battleMonster.hy = true;
                    return true;
                }
                return false;
            },
            getNum : function(){return data.battleMonster.maxHp},
        },{
            name : '时间停止',
            type : 'berserk',
            text : '25%概率使用，使玩家陷入“时间停止”状态，持续1回合。并有80%概率给自己附加3层“时间尘埃”状态（最多增加到100层），每增加了1层，生命值和生命上限提高3%，攻击力和防御力提高2%，以第一次附加时间尘埃时的属性作为基础值计算加成。',
            check : function(){return randomNum() <= 25},
            getNum : function(){return 0},
            use : function(){
                addStatus(data.battleMonster, getStatus('分裂'))
                addBattleLog(`${data.battleMonster.showName || data.battleMonster.name}使用了${this.name}，你被附加了时间停止状态`)
                addStatus(data, getStatus('时间停止'));

                if(getStatuNum(data.battleMonster, '时间尘埃') < 100 && randomNum() <= 80){
                    if(!data.battleMonster.sjzsAttr){
                        data.battleMonster.sjzsAttr = {
                            maxHp : data.battleMonster.maxHp,
                            atk : data.battleMonster.atk > 0 ? data.battleMonster.atk : 0,
                            def : data.battleMonster.def > 0 ? data.battleMonster.def : 0
                        }
                    }
                    const num = getStatuNum(data.battleMonster, '时间尘埃') < 97 ? 3 : 100 - getStatuNum(data.battleMonster, '时间尘埃');
                    const addHp = parseInt(data.battleMonster.sjzsAttr.maxHp * 0.03 * num);
                    data.battleMonster.maxHp += addHp;
                    battleAddHp(data.battleMonster, addHp);
                    data.battleMonster.atk += parseInt(data.battleMonster.sjzsAttr.atk * 0.02 * num)
                    data.battleMonster.def += parseInt(data.battleMonster.sjzsAttr.def * 0.02 * num)
                    addBattleLog(`${data.battleMonster.showName || data.battleMonster.name}使用了${this.name}，给自己附加了${num}层时间尘埃`)
                    addStatus(data.battleMonster, getStatus('时间尘埃', {num}));
                }
            },
        },{
            name : '时间流逝',
            type : 'atk',
            normalAtk : true,
            text : '代替普通攻击使用，造成1.1倍伤害，并有15%概率给自己附加1层“时间尘埃”状态，生命值和生命上限提高3%，攻击力和防御力提高2%，以第一次附加时间尘埃时的属性作为基础值计算加成。时间尘埃最多可叠加到100层。同时有20几率使玩家陷入“时间停止”状态，持续1回合。如果有100层时间尘埃，则给玩家附加衰老效果（不是状态，只是个效果），玩家生命上限、攻击力、防御力，在当前的基础上减少5%，攻击速度-1此效果最多将攻击速度最多减少到0',
            check : function(){return true},
            getStatus : function(){
                if(getStatuNum(data.battleMonster, '时间尘埃') < 100 && randomNum() <= 15){
                    if(!data.battleMonster.sjzsAttr){
                        data.battleMonster.sjzsAttr = {
                            maxHp : data.battleMonster.maxHp,
                            atk : data.battleMonster.atk > 0 ? data.battleMonster.atk : 0,
                            def : data.battleMonster.def > 0 ? data.battleMonster.def : 0
                        }
                    }
                    const addHp = parseInt(data.battleMonster.sjzsAttr.maxHp * 0.03);
                    data.battleMonster.maxHp += addHp;
                    battleAddHp(data.battleMonster, addHp);
                    data.battleMonster.atk += parseInt(data.battleMonster.sjzsAttr.atk * 0.02)
                    data.battleMonster.def += parseInt(data.battleMonster.sjzsAttr.def * 0.02)
                    addBattleLog(`${data.battleMonster.showName || data.battleMonster.name}使用了${this.name}，给自己附加了1层时间尘埃`)
                    addStatus(data.battleMonster, getStatus('时间尘埃'));
                }
                if(randomNum() <= 20){
                    addBattleLog(`${data.battleMonster.showName || data.battleMonster.name}使用了${this.name}，你被附加了时间停止状态`)
                    return getStatus('时间停止')
                }
                if(getStatuNum(data.battleMonster, '时间尘埃') >= 100){
                    addBattleLog(`${data.battleMonster.showName || data.battleMonster.name}使用了${this.name}，你被附加了衰老效果`)
                    data.maxHp = parseInt(data.maxHp * 0.95);
                    data.atk = parseInt(data.atk * 0.95);
                    data.def = parseInt(data.def * 0.95);
                    addObjHp(data, 0);
                }
                return null
            },
            getNum : function(){return parseInt(data.battleMonster.atk * 1.1)},
        }]
    },
    '大魔术师' : {
        tags : ['人型生物'],
        atkTime : '全天',
        atkProb : 0,
        level : 100,
        hp : 200000,
        atk : 800,
        def : 300,
        exp : 0,
        atkSpd : 3,
        noOneKill : true,//免疫即死攻击
        type : '神话',
        items : [],
        text : '第一届玩家自制BOSS投稿活动，【衍星】投稿',
        skills : [{
            name : '世上最好的魔术',
            type : 'atk',
            normalAtk : true,
            text : '代替普通攻击使用，造成1倍伤害，并随机触发以下4个效果中的1个：<br>【悲剧】：给玩家附加悲剧状态，每回合减少5%生命值，持续两回合。<br>【戏谑】：恢复已损失生命值的10%，并增加本次恢复的生命值的1%（可以直接认为是已损失生命值千分之一）的攻击力。<br>【欢喜】：将玩家的生命上限变为和当前生命值相等，自身生命上限增加玩家被扣除的而生命上限的值。<br>【破灭】：基于玩家的克苏鲁学识进行一次检定，检定通过则玩家恢复克苏鲁学识*100的生命值，检定不通过则玩家减少相当于当前理智上限的防御力',
            check : function(){return true},
            getStatus : function(){
                const name = ['悲剧','戏谑','欢喜','破灭'].getRandom();
                if(name === '悲剧'){
                    addStatus(data, getStatus('悲剧', {harm : parseInt(data.maxHp * 0.05)}))
                    addBattleLog(`${data.battleMonster.showName || data.battleMonster.name}使用了${this.name}，触发了悲剧效果，给你附加了悲剧状态`)
                }

                if(name === '戏谑'){
                    const num = data.battleMonster.maxHp - data.battleMonster.hp;
                    const addHp = parseInt(num * 0.1);
                    const addAtk = parseInt(addHp * 0.01);
                    data.battleMonster.atk += addAtk;
                    addBattleLog(`${data.battleMonster.showName || data.battleMonster.name}使用了${this.name}，触发了戏谑效果，恢复了${battleAddHp(data.battleMonster, addHp)}生命值，增加了${addAtk}攻击力`)
                }

                if(name === '欢喜'){
                    const num = data.maxHp - data.hp;
                    data.maxHp = data.hp;
                    data.battleMonster.maxHp += num;

                    addBattleLog(`${data.battleMonster.showName || data.battleMonster.name}使用了${this.name}，触发了欢喜效果，生命值上限增加${num}，并将你的生命值上限变为和当前生命值相等`)
                }

                if(name === '破灭'){
                    if(verification()){
                        addBattleLog(`${data.battleMonster.showName || data.battleMonster.name}使用了${this.name}，触发了破灭效果，但你通过了检定，生命值恢复${battleAddHp(data, getCthulhuScholarship() * 100)}`)
                    }else{
                        data.def -= data.maxSan;
                        addBattleLog(`${data.battleMonster.showName || data.battleMonster.name}使用了${this.name}，触发了破灭效果，你没通过检定，防御力降低了${data.maxSan}`)
                    }
                }
                return null
            },
            getNum : function(){return parseInt(data.battleMonster.atk)},
        }]
    },
}

//将自定义BOSS加入怪物列表
function addCustomBoss(){
    Object.keys(playerCustomBoss).forEach(name => {
        const {skills = [], ...props} = playerCustomBoss[name];

        monsterCfgs[name] = props;
        monsterSkillMapping[name] = [];

        skills.forEach(s => {
            if(typeof s === 'string'){
                monsterSkillMapping[name].push(s);
            }else{
                monsterSkillMapping[name].push(s.name);

                if(s.extend){
                    monsterSkills = {
                        ...monsterSkills,
                        [s.name] : {
                            ...monsterSkills[s.extend],
                            name : s.name,
                        }
                    }
                }else{
                    monsterSkills = {
                        ...monsterSkills,
                        [s.name] : s
                    }
                }
            }
        });
    });
}
