//元素属性配置
const elementCfgs = {
    ...elements1,
    '火把' : new Element({onlyOne : true, voidDust : 10, endurance : 20, gold : 50, weight : 5, text : '只能在开启黑暗侵蚀DLC后制造，放在背包中即可带来光明，背包中有火把时会自动消耗，每小时消耗1耐久，页面左上角会标注剩余火把所有的总耐久度。'}),
    'DLC体验券' : new Element({canUse : true, voidDust : 0, gold : 0, weight : 10, func(item){
            if(diff === '扩展难度'){
                winMsg('扩展难度不可使用该物品', false, false)
                return false;
            }
            if(data.dlcExperience){
                winMsg('你已经使用过该物品', false, false)
                return false;
            }
            data.dlcExperience = true;
            $('.dlc-split,.init-dlc,.dlc-show').show();
            return true;
        }, text : '种族周目商店和赞助商店出售。使用后，非扩展难度也可以在系统里开启DLC，扩展难度不可使用该物品，已使用过的档也不能重复使用'}),
    '超级转生卷轴' : new Element({canUse : true, voidDust : 0, gold : 0, quality : 4, weight : 0, func(item){
            if(data.order > 1){
                winMsg('该物品只能在1周目使用', false, false)
                return false;
            }
            if(data.race.challenge){
                winMsg('挑战种族无法使用', false, false)
                return false;
            }

            $('.super-select-race-list .race-list').html('')
            let unlock = [...initRaces,...(conf.races ? conf.races : [])]
            if(diff === '扩展难度'){
                unlock = Object.keys(races).filter(e => races[e].name.indexOf('-') == -1);
            }

            unlock.forEach(e => {
                if(races[e].challenge || e === '教学种族'){
                    return;
                }
                $('.super-select-race-list .race-list').append(`<div class="race one-line">${e}</div>`)
            })
            $('.super-select-race .race').click(function(){
                $('.super-select-race .race').removeClass('active');
                if(!$(this).hasClass('lock')){
                    $(this).addClass('active');
                }
                $('.super-select-race .race-info').html(getRaceText($(this).html().split('(')[0]))
            });
            $('.super-select-race').show();
            $('.item-use-win-close').click()

            return false;
        }, text : '种族周目商店和赞助商店出售。立即转变为其他已经解锁的种族，例如人类转哥布林。如果是扩展难度使用，可以转生为未解锁的种族。该物品只能在第一周目使用，使用后弹出一个可以关闭的选择种族页面，如果没有选择种族并确认转生，则不会消耗该物品。转生后等级变为1级，经验清空，并自动进行一次洗点。该物品挑战种族和教学种族不可用，也无法使你变成挑战种族和教学种族'}),
    '命运干扰' : new Element({canUse : true, voidDust : 0, gold : 0, weight : 10, func(item){
            data.monthType = {
                ...dlcFateMonths.getRandom(),
                month : data.date.format('MM')
            };
            $('.alert-win').show().find('.alert-win-title').html(`本月为[${data.monthType.name}]，${data.monthType.text}，点击页面顶部的游戏时间可以查看本月主题`)
            return true;
        }, text : '在开启了命运之月DLC之后可以在阵营商店购买，使用后随机改变本月的主题，有可能还是随机到当前这个主题'}),
    '装备保养油' : new Element({voidDust : 1000, gold : 5000, quality : 2, text : '只能在阵营商店购买，可以在虚空修复器中保养装备，重置装备的修复次数'}),
    '宓兰香精' : new Element({voidDust : 10, gold : 50, elemental : {极 : 10000}, text : '只能在阵营商店购买，散发着诱人的香味'}),
    '敌对感知卷轴' : new Element({canUse : true, voidDust : 0, gold : 0, weight : 1, func(item){
            if(data.world.npcs){
                const filter = data.world.npcs.filter(e => {
                    if(data.evil > 0 && e.camp === '善良'){
                        return true;
                    }
                    if(data.evil < 0 && e.camp === '邪恶'){
                        return true;
                    }
                    return false;
                });
                if(filter.length > 0){
                    filter.getRandom().showMapLocation = true;
                }
            }
            return true;
        }, text : '只能在阵营商店购买，使用后将地图上随机一个敌对阵营的NPC位置标注出来，多次使用可以标注多个NPC，但是有可能标注到同一个NPC，那就是白用了。中立阵营也可以用，但是不会有任何效果'}),
    '一次性烹饪锅' : new Element({canUse : true, voidDust : 0, gold : 0, weight : 10, func(item){
            renderKitchen();
            $('.kitchen').show();
            return true;
        }, text : '可以在阵营商店购买，使用后打开厨房页面'}),
    '神恩烹饪锅' : new Element({canUse : true, onlyOne : true, voidDust : 0, gold : 0, weight : 10, saveOrder : true, func(item){
            renderKitchen();
            $('.kitchen').show();
            $('.item-use-win-close').click()
            return false;
        }, text : '跑环任务专属奖励，使用后打开厨房页面，可以无限次数使用，该物品跳周目时不会丢失'}),
    '阵营检测卷轴' : new Element({canUse : true, voidDust : 0, gold : 1000, weight : 1, func(item){
            if(data.world.npcs){
                const location = data.location.join();
                data.world.npcs.filter(e => e.location.join() === location).forEach(e => {
                    e.showCamp = true;
                })
                renderMapElements(false, true)
            }
            return true;
        }, text : '只能通过向NPC购买获得，使用后可以检测目视范围内（即你屏幕上能看到的）NPC得阵营，检测以后这些NPC的阵营将永久显示。'}),
    '我既是正义' : new Element({canUse : true, onlyOne : true, voidDust : 0, gold : 0, weight : 1, quality : 3, func(item){
            data.evil = 0;
            return true;
        }, text : '通过成就“入侵者”获得，能让你的善良值和罪恶值变为0，即转为中立阵营'}),
    '神恩口袋' : new Element({canUse : true, onlyOne : true, voidDust : 0, gold : 0, weight : 10, quality : 3, func(item){
            if(item.hasGold || (item.hasItems && Object.keys(item.hasItems).length > 0)){
                const msg = [];
                if(item.hasGold){
                    data.gold += item.hasGold;
                    msg.push(`你在这个口袋里发现了${item.hasGold}金币`)
                }
                if(item.hasItems && Object.keys(item.hasItems).length > 0){
                    const itemList = [];
                    Object.keys(item.hasItems).forEach(e => {
                        itemList.push(e + '*' + item.hasItems[e])
                        addItem(e, item.hasItems[e]);
                    })
                    msg.push(`你在这个口袋里发现了[${itemList.join('，')}]`)
                }
                winMsg(msg.join('，'))
            }else{
                winMsg(`这个口袋里什么也没有`)
            }
            return true;
        }, text : '附有神力的空间口袋，里面可能装着一些东西'}),
    '欺诈宝石' : new Element({voidDust : 0, gold : 0, weight : 0, quality : 4, text : '周目礼包中有几率开出，纯娱乐用品，不会提供任何游戏加成，也不是镶嵌物，不占用镶嵌栏。背包或仓库有此物品时，在家里可以看到欺诈工作台，可以修改装备的名称，但是如果装备带有符文之语，那么装备即使你修改了装备名称，装备名后面也还是会标注符文之语。例如你给“利齿匕首：刺客”改名为“天下剑”，最终得到的武器是“天下剑：刺客”。但是要注意，如果你先把名字改掉了，再制造符文之语，会导致名字被改回去，因为符文之语需要覆盖显示名，所以请先造出符文之语，再改名字。最后，名字里不要使用特殊符号，否则造成的一切后果自负'}),
    '幸运卷轴' : new Element({canUse : true, onlyOne : true, voidDust : 0, gold : 0, weight : 1, quality : 4, func(item){
            if(data.usedXyjz){
                winMsg('你已经使用过幸运卷轴了', false, false)
                return false;
            }
            data.usedXyjz = true;
            return true;
        }, text : '只能通过成就“欧皇”和“非酋”获得，下次锻造装备全属性必定波动为120%'}),
    '神秘印记' : new Element({canUse : true, voidDust : 0, gold : 0, weight : 10, quality : 4, func(){
            if(data.edu){
                winMsg('你无法使用这件物品', false, false)
                return false;
            }
            if(data.eduOver){
                winMsg('创世神已经收回了遗失的人性，这个印记已经不会再有效果了', false, false)
                return false;
            }
            data.edu = createEduRole();
            winMsg('似乎有什么事情发生了，又似乎什么也没发生');
            renderMapElements();
            return true;
        }, text : '和你灵魂里的神秘力量发生共鸣，然后会发生什么呢？具体阅读图鉴-说明-养成，及和养成相关的其他说明'}),
    '观察之眼' : new Element({voidDust : 0, gold : 0, func(){
            winMsg('此物品已经不需要使用了', false, false)
            return false;
        }, text : '流浪商人独家出售，放在背包中即可在战斗中显示自己和怪物当前的攻击、防御和吸血属性'}),
    '神话诅咒' : new Element({
        canUse :true, quality : 4, voidDust : 0, gold : 0,
        text : '首次击杀神话怪时会获得1个神话诅咒（副本中击杀不会获得）。使用神话诅咒后，下一个触发战斗的怪物将附带“诅咒”前缀，攻击、防御变为2倍，血量提高5倍，所有基础掉落物（不包括镶嵌物等额外掉落物）最大和最小掉落数增加5，并且最少掉落5个（例如：原本某物品掉落为[-8~1]个，变为诅咒怪物后，掉落变为[5~6]个，而不是[-3~6]个），并且固定掉落1个神话之力。',
        func(){
            if(data.mythCurse){
                winMsg('你已经使用过神话诅咒了', false, false)
                return false;
            }
            data.mythCurse = true;
            winMsg('诅咒降临！！！！');
            return true;
        }
    }),
    '神恩赐福' : new Element({
        canUse :true, quality : 4, voidDust : 50000, gold : 10000,
        text : '跑环任务专属奖励，获得1属性点，该方式获得的属性点永久保留，即便洗点也不会失去',
        func(){
            const num = 1;
            data.attrPoint += num;
            if(!data.consumePoint){
                data.consumePoint = 0;
            }
            data.consumePoint -= num;
            return true;
        }
    }),
    '神话之力' : new Element({
        canUse :true, quality : 4, voidDust : 50000, gold : 10000,
        text : '获得3属性点（新人难度获得10点属性点），该方式获得的属性点永久保留，即便洗点也不会失去',
        func(){
            const num = diff === '新人难度' ? 10 : 3;
            data.attrPoint += num;
            if(!data.consumePoint){
                data.consumePoint = 0;
            }
            data.consumePoint -= num;
            return true;
        }
    }),
    '牵引卷轴' : new Element({
        canUse :true, quality : 3, voidDust : 0, gold : 0,
        text : '流浪商人独家出售，能吸引当前地图的世界BOSS前来，使用后触发和当前地图世界BOSS的战斗。',
        func(){
            let finalBoss = null;
            const map = data.maps.filter(e => e.name === data.world.name);
            if(map.length > 0){
                finalBoss = map[0].finalBoss;
            }

            if(!finalBoss){
                winMsg('当前地图没有世界BOSS')
                return false;
            }

            if(!confirm('是否确认使用牵引卷轴？')){
                return false;
            }

            //获取战斗对象
            data.battleMonster = createBattleMonster(finalBoss);
            if(data.world.finalBossObj && data.battleMonster.name === data.world.finalBossObj.name){
                data.battleMonster.hp = data.world.finalBossObj.hp;
                data.battleMonster.maxHp = data.world.finalBossObj.maxHp || data.battleMonster.maxHp;
                data.battleMonster.startAtk = data.world.finalBossObj.startAtk;
                data.battleMonster.startDef = data.world.finalBossObj.startDef;
                data.battleMonster.startSuck = data.world.finalBossObj.startSuck;
                data.battleMonster.atk = data.world.finalBossObj.startAtk || data.battleMonster.atk;
                data.battleMonster.def = data.world.finalBossObj.startDef || data.battleMonster.def;
                data.battleMonster.suck = data.world.finalBossObj.startSuck || data.battleMonster.suck;
            }else{
                data.battleMonster.startAtk = data.battleMonster.atk;
                data.battleMonster.startDef = data.battleMonster.def;
                data.battleMonster.startSuck = data.battleMonster.suck;
            }

            //记录原本的属性
            recordPlayerAttr()
            //初始化护盾
            data.shield = 0;
            //清空日志
            $('.battle-logs').html('');

            //影魔属性处理
            if(data.race.name.startsWith('影魔')){
                const h = parseInt(data.date.format('hh'));
                if(h >= 8 && h <= 19){
                    data.atk = parseInt(data.atk * 0.8);
                    data.def = parseInt(data.def * 0.8);
                }else{
                    data.atk = parseInt(data.atk * 1.2);
                    data.def = parseInt(data.def * 1.2);
                    addStatus(data.battleMonster, getStatus('难以观察', {num : 1, keep : true, reduceHitRate :20}))
                }
            }

            //渲染战斗页面
            renderBattlePage();
            $('.battle').show();
            $('.stop-auto-battle').hide();

            return true;
        }
    }),
    '世界庇佑' : new Element({canUse : true, voidDust : 0, func : function(){
            if(data.bind && data.bind.race === '世界庇佑'){
                winMsg('你已经准备好窃取世界之力了')
                return false;
            }else{
                data.bind = {
                    index : data.worldIndex,
                    location : data.location,
                    race : '世界庇佑'
                };
                winMsg('世界庇佑使用成功，你已经准备好窃取世界之力了！')
                return true;
            }
        }, text : '流浪商人独家出售，死亡时窃取世界之力重生，死亡后原地复活并恢复所有血量。如果死亡时正在和世界BOSS战斗，复活无代价。如果不是在和世界BOSS死亡时复活，非挑战种族减少3点属性点（属性点不足则变为负数，此方式减少的属性点无法以任何方式找回），挑战种族等级变为1级。操脑蛛种族不但会丢失属性点，还会失去当前操控的怪物。丢失身上携带的所有物品，并在孤岛随机位置复活。注意：使用该物品会将原本的复活标记替换掉。'}),
    '时光砂砾' : new Element({canUse :true, quality : 4, voidDust : 0, gold : 0, func : function(){
            if(data.weapon){
                equip(data.weapon);
            }
            if(data.armor){
                equip(data.armor);
            }
            data.level = 1;
            data.exp = 0;
            initAttr();
            return true;
        }, text : '流浪商人独家出售，使你的等级回到1级，自动脱下所有装备并进行1次洗点'}),
    '洗涤灵泉' : new Element({canUse :true, quality : 4, voidDust : 0, gold : 0, func : function(){
            if(data.weapon){
                const item = getBagItemById(data.weapon.id);
                data.weapon.level = 1;
                item.level = 1;
                item.washing = true;
            }
            if(data.armor){
                const item = getBagItemById(data.armor.id);
                data.armor.level = 1;
                item.level = 1;
                item.washing = true;
            }
            return true;
        }, text : '流浪商人独家出售，直接使用可以将你身上装备的武器和护甲的等级都变成1级，不影响其属性，但是洗涤后的装备无法使用打孔石打孔，在家里的洗涤室使用可以洗涤未穿戴的装备'}),
    '溶解药水' : new Element({canUse :true, quality : 2, voidDust : 0, gold : 0, func : function(){
            if(!confirm('是否确认使用溶解药水？使用后你装备的武器和护甲将被销毁')){
                return false;
            }
            if(data.weapon){
                const item = getBagItemById(data.weapon.id);
                equip(data.weapon);
                item.hole.forEach(e => {
                    if(e){
                        addItem(e);
                    }
                });
                reduceItemById(item.id)
            }
            if(data.armor){
                const item = getBagItemById(data.armor.id);
                equip(data.armor);
                item.hole.forEach(e => {
                    if(e){
                        addItem(e);
                    }
                });
                reduceItemById(item.id)
            }

            return true;
        }, text : '流浪商人独家出售，直接使用可以将你身上装备的武器和护甲溶解，并回收其上面的镶嵌物，在家里的溶解室使用可以溶解未穿戴的装备'}),
    '大灾变' : new Element({canUse :true, quality : 4, voidDust : 0, gold : 0, func : function(){
            if(data.inDungeon){
                winMsg(`不能在副本中使用`, false, false);
                return false;
            }
            if(!confirm('是否确认要重置当前地图？')){
                return false;
            }
            //创建地图
            data.temples[data.worldIndex] = {};
            const map = createMap(terrainArray[data.world.name], false);
            data.map = map;
            //创建世界
            data.world = {
                ...data.maps[data.worldIndex],
                map : map,//世界地图
                showMap : data.world.showMap,//key为显坐标，value为1则代表已经显示出来，否则就是空白显示
                mapElements : {},//地图元素集合
                home : data.world.home,
                nextPoint : data.nextPoint,
                prePoint : data.prePoint,
                pass : data.world.pass,//用于记录是否通关，即是否已经战胜守关BOSS
                mythMonster : data.world.mythMonster
            }

            //渲染可前往的地图
            renderCanToMap();
            //渲染地图
            renderMap();
            //时间流逝
            timeLapses(30);

            winMsg('整个世界都发生了变化')
            return true;
        }, text : '流浪商人独家出售，灾祸之力扭曲了世界，消耗1小时，重新绘制当前地图，家的坐标不会改变，已探索过的坐标依旧可以看到地形，已被摧毁的神殿也会重新刷新'}),
    '武器固化卷轴' : new Element({canUse :true, quality : 4, voidDust : 0, gold : 0, weight :1, func : function(){
            if(data.weapon){
                if(data.weapon.name.startsWith("技能石")){
                    winMsg('技能石不能固化', false, false)
                    return false;
                }
                const item = getBagItemById(data.weapon.id);
                item.noWear = true;
            }else{
                winMsg('你没有装备武器');
                return false;
            }

            return true;
        }, text : '只能从藏宝图的宝藏中获得，给你装备的武器附加永不磨损属性'}),
    '护甲固化卷轴' : new Element({canUse :true, quality : 4, voidDust : 0, gold : 0, weight :1, func : function(){
            if(data.armor){
                const item = getBagItemById(data.armor.id);
                item.noWear = true;
            }else{
                winMsg('你没有装备护甲');
                return false;
            }

            return true;
        }, text : '只能从藏宝图的宝藏中获得，给你装备的护甲附加永不磨损属性'}),
    '耐磨珠宝' : new Element({isInlay :true, endurance : 1000, quality : 2, voidDust : 1000, gold : 5000, weight : 1, text : '只能从藏宝图的宝藏中获得'}),
    '锻造笔记' : new Element({canUse :true, quality : 2, voidDust : 1000, gold : 5000, weight :1, func : function(){
            const num = getNumByBag('锻造笔记');
            if(num > 1){
                data.forgeExp += 1000 * num;
                reduceItem('锻造笔记', num - 1);
            }else{
                data.forgeExp += 1000;
            }
            return true;
        }, text : '使用时会把背包中所有锻造笔记一起用掉，每用掉一个，增加1000锻造熟练度'}),
    '藏宝图' : new Element({canUse :true, quality : 2, voidDust : 0, gold : 0, func : function(item){
            if(!data.treasureMaps){
                data.treasureMaps = {};
            }

            const hasNum = getNumByBag('藏宝图')
            for(let i = 0 ; i < hasNum ; i++){
                const map = randomNum(0, data.worlds.length - 1);
                const treasureMap = {
                    map,
                    mapName : data.maps[map].name,
                    location : [randomNum(0, xnum - 1), randomNum(0, ynum - 1)],
                };
                if(!data.treasureMaps[map]){
                    data.treasureMaps[map] = [];
                }
                data.treasureMaps[map].push(treasureMap);
            }

            reduceItem('藏宝图', hasNum - 1)

            winMsg(`你获得了${hasNum}个宝藏的坐标`)
            return true;
        }, text : '流浪商人独家出售，记录了一个宝藏的坐标，使用后在主页下方菜单的藏宝图页面查看，到了对应的坐标就会出现挖掘按钮。使用时，如果背包有多个藏宝图，会一起被使用掉。藏宝图记录的位置只会在玩家已解锁的地图中，即只去过大陆的角色不会开出坐标在死地的藏宝图。宝藏中可能获得以下物品：1%概率获得武器固化卷轴或者护甲固化卷轴，3%概率获得万能武器打孔石或者万能护甲打孔石，6%概率获得耐磨珠宝，10%概率获得溶解药水，30%概率获得锻造笔记，50%概率获得牵引卷轴。'}),
    '成就礼包' : new Element({canUse :true, quality : 4, voidDust : 1000, weight :0, func : function(){
            checkAchievement(true)
            return true;
        }, text : '可以获得你已经完成的成就的所有奖励，建议在家里使用，否则可能会导致负重超标无法移动'}),
    '周目礼包' : new Element({canUse :true, quality : 4, voidDust : 1000, weight :0, func : function(){
            const items = [{
                name : '欺诈宝石',
                num : 1
            },{
                name : '次元钥匙',
                num : 1
            },{
                name : '草药膏',
                num : 10
            },{
                name : '烤肉',
                num : 20
            },{
                name : '金锭',
                num : 1
            },{
                name : '重生十字章',
                num : 1
            },{
                name : '短程传送卷轴',
                num : 3
            },{
                name : '世界之力：1点',
                num : 5
            }];
            const item = items.getRandom();
            addItem(item.name, item.num, {washing : true});
            winMsg(`你获得了${item.name}*${item.num}`)
            return true;

        }, text : '跳转周目获得的礼包，随机获得以下任意一项物品：欺诈宝石*1，次元钥匙*1，草药膏*10，烤肉*20，金锭*1，重生十字章*1，短程传送卷轴*3，世界之力：1点*5。'}),
    '种族周目点数券' : new Element({canUse :true, quality : 4, voidDust : 1000, weight :0, func : function(){
            if(!data.orderPoint){
                data.orderPoint = 0;
            }
            const numByBag = getNumByBag('种族周目点数券');
            data.orderPoint += numByBag;
            reduceItem('种族周目点数券', numByBag - 1)
            winMsg(`获得${numByBag}种族周目点数`)
            return true;
        }, text : '消耗背包中所有种族周目点数券，每消耗1个，获得1点种族周目点数'}),
    '水晶球' : new Element({canUse :true, quality : 4, voidDust : 0, weight :0, func : function(){
            if(data.nextPoint && data.nextPoint.length === 2 && data.worldIndex < mapNum - 1){
                winMsg('下一个地图的入口在坐标：' + data.nextPoint.join())
                setShowMap(data.nextPoint);
                return true;
            }else{
                winMsg('没有下一个地图了', false, false)
                return false;
            }
        }, text : '只能通过成就获得。能直接找到下个地图的入口，使用后打开地图查看即可看到'}),
    '五龙魂' : new Element({voidDust : 0, text : '五种龙魂合成的物品，可作为材料'}),
    '五彩石' : new Element({voidDust : 0, text : '五种璀璨的宝石合成的物品，可作为材料'}),
    '小型传送阵' : new Element({quality : 2, voidDust : 1000, gold : 5000, text : '用于在地图页面进行传送'}),
    '回城卷轴' : new Element({canUse :true, quality : 2, voidDust : 1000, gold : 5000, func : function(){
            if(randomNum(1,100) <= 5){
                winMsg(`遭遇时空乱流，回城失败`)

                if(conf.races.indexOf('地球人') === -1){
                    conf.races.push('地球人');
                    save(confSavedName, conf);
                    winMsg(`恭喜你解锁了地球人！`);
                }

                return false;
            }


            if(data.world.home && data.world.home.location && data.world.home.location.length === 2){
                data.location = data.world.home.location;
                //渲染地图元素
                renderMapElements();
                //渲染可前往的地图
                renderCanToMap();
                //渲染地图
                renderMap();
                $('.item-use-win-modal').hide();
                $('.item-use-win').hide();
                $('.bag').hide();
                $('.home').hide();
                return true;
            }else{
                winMsg(`当前地图还没有安家`);
                return false;
            }
        }, text : '回到当前地图的家。'}),
    '水之女神回城卷' : new Element({canUse :true, quality : 2, voidDust : 1, gold : 1, func : function(){
            return deityBack('水之女神');
        }, text : '神恩商店独有物品，回到当前地图的水之女神神殿。'}),
    '狩猎之神回城卷' : new Element({canUse :true, quality : 2, voidDust : 1, gold : 1, func : function(){
            return deityBack('狩猎之神');
        }, text : '神恩商店独有物品，回到当前地图的狩猎之神神殿。'}),
    '虚空行走' : new Element({canUse :true, quality : 4, voidDust : 0, gold : 0, func : function(){
            if(data.inDungeon){
                winMsg(`在副本中不可使用`, false, false);
                return false;
            }
            if(data.nextPoint){
                toWorld(data.worldIndex + 1);
                winMsg(`你前往了${data.world.name}`)
                return true;
            }else{
                winMsg('已经是最后一个地图了')
                return false;
            }
        }, text : '只能从周目商店购买，不用打BOSS，直接进入下一个地图。但是如果返回之前的地图，守关BOSS依旧存在。'}),
    '时空粉尘' : new Element({voidDust : 10, gold : 50, text : '神恩商店独有物品。'}),
    '时空碎片' : new Element({voidDust : 100, gold : 500, text : '神恩商店独有物品。'}),
    '灵魂威慑' : new Element({onlyOne :true, isWeapon : true, atk : 0, weight : 5, endurance : 50, voidDust : 50, gold : 500, quality : 3, text : '灵魂威慑不受永不磨损属性影响。灵魂威慑对神(不是神话，是神域的神)和守关BOSS无效，但是当怪物不是守关BOSS状态时可以生效。例如你在孤岛还没打赢哥布林英雄时，打地底入口的哥布林英雄不会触发灵魂威慑，但是去了地底后，可以对地底的哥布林英雄使用灵魂威慑。装备后，当你主动攻击怪物时，如果你的攻击力的1.2倍高于怪物防御力，且怪物的攻击力*1.2未超过你的防御力，则不进行战斗，直接获得战利品，每触发一次，耐久-1。如果你穿了护甲，则无论如何一定会进行战斗模拟。模拟战斗只会有2个结果，1.怪物死亡，扫荡成功，并且消耗对应的护甲的耐久度。需要注意，只要模拟战斗，无论你的护甲防御力多高，都一定会消耗耐久，这是穿甲扫荡的代价，不适用于不破防规则。2.护甲耐久度清空之前，你在模拟战斗中无法击杀怪物，则护甲爆掉，并且怪物以满血姿态触发战斗。所以穿甲模拟战斗前请确认清楚自己的攻击力和怪物的防御力，以及护甲耐久，避免造成无谓的消耗。'}),
    '变异核心' : new Element({voidDust : 3, weight : 0, gold : 50}),
    '灵魂追猎' : new Element({canUse : true, voidDust : 1000, gold : 1000, func : function(){
            if(data.showMythDay === new Date(data.date).format('yyyyMMdd')){
                winMsg('今天你正在追猎。');
                return false;
            }
            data.showMythDay = new Date(data.date).format('yyyyMMdd');
            const monsters = data.world.mythMonster.filter(e => !e.deathTime);
            if(monsters.length === 0){
                winMsg(`当前地图没有存活的神话怪`);
            }else{
                winMsg(monsters.map(e => `${e.name}：坐标${e.location.join()}`).join('，'));
            }

            //渲染可前往的地图
            renderCanToMap();
            //渲染地图
            renderMap();
            return true;
        }, text : '显示当前地图的神话怪物位置，只持续到当天0点。'}),
    '次元钥匙' : new Element({canUse : true, voidDust : 1000, gold : 5000, func : function(){
            if(data.inDungeon){
                winMsg(`在副本中不可打开仓库`, false, false);
                return false;
            }
            if(data.world.home && data.world.home.location && data.world.home.location.length === 2){
                if(!data.world.home.store){
                    data.world.home.store = [];
                    save();
                }
                $('.store-item-search input').val('')
                storeFilter = '';
                isRunesStore = false;
                renderStore('次元钥匙');
                $('.store').show();
                $('.item-use-win-modal').hide();
                $('.item-use-win').hide();
                return true;
            }else{
                winMsg(`当前地图还没有安家`);
                return false;
            }
        }, text : '远程打开一次仓库，注意，使用一个次元钥匙只打开一次仓库，关闭后即失效。'}),
    '次元信标' : new Element({canUse : true, voidDust : 1000, gold : 5000, func : function(){
            if(data.inDungeon){
                winMsg(`在副本中不可使用`, false, false);
                return false;
            }
            if(data.world.home && data.world.home.location && data.world.home.location.length > 0){
                data.world.home.location = data.location;
                winMsg('你搬家了！')
                timeLapses(60)
                return true;
            }else{
                winMsg(`你还没有家`, false, false);
                return false;
            }

        }, text : '消耗1小时，将家移动到当前位置。'}),
    '短程传送卷轴' : new Element({battleUse : true, voidDust : 1000, gold : 5000, func : function(){
            if(!confirm('是否确认使用短程传送卷轴？')){
                return false;
            }
            msg('你脱离了战斗');
            battleEnd();
            setTimeout(function(){timeLapses(battleRunMin);},100)
            return true;
        }, text : '立刻脱离战斗。'}),
    '先生的外套' : new Element({battleUse : true, voidDust : 1000, gold : 5000, func : function(){
            if(data.battleMonster.xsdwt){
                winMsg('每场战斗只能使用一次',false,false)
                return false;
            }

            data.battleMonster.xsdwt = true;
            data.reduceHart += 0.2;
            const text = `使用了先生的外套，增加20%减伤`;
            addBattleLog(text)
            return true;
        }, text : '只能从成就“金刚不坏”的奖励中获得，增加20%减伤，每场战斗只能使用一次。'}),
    '灵魂标记：亡灵族' : new Element({canUse : true, voidDust : 1000, gold : 1000, func : function(){

            if(!conf.races){
                conf.races = [];
            }
            if(conf.races.indexOf('亡灵族') === -1){
                conf.races.push('亡灵族');
                save(confSavedName, conf);
                winMsg(`恭喜你解锁了亡灵族！`);
            }

            if(data.bind){
                winMsg('你已经设置了复活标记了。', false, false);
                return false;
            }
            if(data.race.name.startsWith('亡灵族') || data.race.name.startsWith('巫妖') || data.race.name === '机械族'){
                winMsg('亡灵生物或机器人无法设置灵魂标记。', false, false);
                return false;
            }
            if(confirm(`严重警告！请确保你已经仔细阅读了该物品的说明！是否确认使用？`)){
                data.bind = {
                    index : data.worldIndex,
                    location : data.location,
                    race : '亡灵族'
                };
                winMsg('设置灵魂标记成功！')
                return true;
            }

            return false;
        }, text : '使用后直接解锁亡灵族，无论是否使用成功，也不需要死亡一次再复活来解锁，使用了直接就解锁了。在当前位置设置灵魂标记，死亡后复活，等级变为1级，种族变为亡灵族。死亡会使你失去背包里的所有物品。使用该灵魂标记后，再使用其他复活道具（例如世界庇佑，重生十字章）可以覆盖掉该灵魂标记，避免死亡后复活为亡灵族。'}),
    '灵魂标记：巫妖' : new Element({canUse : true, voidDust : 1000, gold : 1000, func : function(){

            if(!conf.races){
                conf.races = [];
            }
            if(conf.races.indexOf('亡灵族') === -1){
                conf.races.push('亡灵族');
                save(confSavedName, conf);
                winMsg(`恭喜你解锁了亡灵族！`);
            }
            if(conf.races.indexOf('巫妖') === -1){
                conf.races.push('巫妖');
                save(confSavedName, conf);
                winMsg(`恭喜你解锁了巫妖！`);
            }

            if(data.bind){
                winMsg('你已经设置了复活标记了。', false, false);
                return false;
            }
            if(data.race.name.startsWith('亡灵族') || data.race.name.startsWith('巫妖') || data.race.name === '机械族'){
                winMsg('亡灵生物和机器人无法设置灵魂标记。', false, false);
                return false;
            }
            if(confirm(`严重警告！请确保你已经仔细阅读了该物品的说明！是否确认使用？`)){
                data.bind = {
                    index : data.worldIndex,
                    location : data.location,
                    race : '巫妖'
                };
                winMsg('设置灵魂标记成功！')
                return true;
            }

            return false;
        }, text : '使用后直接解锁亡灵族和巫妖，无论是否使用成功，也不需要死亡一次再复活来解锁，使用了直接就解锁了。在当前位置设置灵魂标记，死亡后复活，等级变为1级，种族变为巫妖。死亡会使你失去背包里的所有物品。使用该灵魂标记后，再使用其他复活道具（例如世界庇佑，重生十字章）可以覆盖掉该灵魂标记，避免死亡后复活为巫妖。'}),
    '神格' : new Element({voidDust : 100000, gold : 500000, text : '表面上看，这只是一个普普通通的神格。实际上，这真的只是个普普通通的神格。'}),
    '巫妖生态研究笔记' : new Element({canUse : true, voidDust : 1000, gold : 5000, quality : 4, func : function(){
            if(data.race.name !== '亡灵族'){
                const text = `只有亡灵族能转化为巫妖`;
                winMsg(text, false, false);
                return false;
            }
            data.race = races['巫妖'];
            data.exp = 0;
            data.level = 1;
            data.race.initItems.forEach(e => {
                addItem(e.name, e.num)
            })
            initAttr();
            winMsg('恭喜你通过自己的研究转化成了巫妖！');

            if(!conf.races){
                conf.races = [];
            }
            if(conf.races.indexOf(data.race.name) === -1){
                conf.races.push(data.race.name);
                save(confSavedName, conf);
                winMsg(`恭喜你解锁了${data.race.name}！`);
            }

            return true;
        }, text : '通过一系列的研究，你了解了巫妖生态发展规律和形态转变方法。你可以使用这个笔记，将自己转变为巫妖了。使用后解锁巫妖种族，并立刻变为巫妖种族，等级变为1级。注意：只有亡灵族能转化为巫妖。'}),
    '重生十字章' : new Element({canUse : true, voidDust : 0, func : function(){
            if(data.bind && data.bind.race === '神力庇佑'){
                if(!data.consumePoint){
                    data.consumePoint = 0;
                }
                if(data.consumePoint > 0){
                    data.attrPoint += 1;
                    data.consumePoint -= 1;
                    winMsg('重生十字章使用成功，你已有神力的庇护，神力恢复了你的暗伤，你获得1点额外属性点！')
                }else{
                    winMsg('你已有神力的庇护，且身上没有暗伤，不需要使用重生十字章')
                    return false;
                }
            }else{
                data.bind = {
                    index : data.worldIndex,
                    location : data.location,
                    race : '神力庇佑'
                };
                winMsg('重生十字章使用成功，你受到了神力的庇护！')
            }
            return true;
        }, text : '死亡后原地复活并恢复所有血量。注意：使用该物品会将原本的灵魂标记或者巫妖命匣替换掉。如果身上已经有重生十字章的复活标记（即神力庇佑），再次使用重生十字章时，如果你的额外属性点为负数，则给你增加一点额外属性点。请注意，如果你使用过3个神话之力，获得了9点属性点，那么你因为世界庇佑死了2次，也扣除了6属性点，那么你的额外属性点就是正3点，此时用重生十字章是不会增加属性点的。如果你从没用过神话之力，世界庇佑死了2次，那么就是-6点，就可以用6个重生十字章来把额外属性点洗为0'}),
    '天赋神晶' : new Element({voidDust : 10000, gold : 50000, text : '用于激活天赋。'}),
    '潮湿的爆炸物' : new Element({canUse : true, voidDust : 1000, gold : 1000, func : function(){

            if(!conf.races){
                conf.races = [];
            }
            if(conf.races.indexOf('地精') === -1){
                conf.races.push('地精');
                save(confSavedName, conf);
                winMsg(`恭喜你解锁了地精！`);
            }
            return true;
        }, text : '钓鱼时，如果没钓到鱼，则有1%几率获得该物品，使用后解锁地精种族。如果已经解锁了地精种族，使用该物品不会发生任何事情'}),

    //镶嵌物
    ...getElementsInlays(),
    '永恒珠宝(赠)' : new Element({
        isInlay : true,
        endurance : null,
        level : 1,
        noWear : true,
        text : '可以在镶嵌台镶嵌到有孔的装备里'
    }),

    //符文
    ...getElementsRunes(),
    //古神入侵专属物品
    ...cthulhuItems,

    /** -----不可采集,制造出来的物品[END]----- */

    //活动专属物品
    ...getFestivalElements()
}
