//种族类
function Race(props = {}){
    for(const key in props){
        this[key] = props[key];
    }
}
Race.prototype = {
    challenge : false, //是否挑战种族
    name : '人类',
    hp : 100,//初始生命
    hunger : 99999999,//初始饥饿
    water : 99999999,//初始水分
    weight : 99999999,//初始负重
    atk : 50,//初始攻击
    def : 50,//初始防御
    hpUp : 100,//升级提升生命值
    hungerUp : 0,//升级提升饥饿
    waterUp : 0,//升级提升水分
    weightUp : 0,//升级提升负重
    atkUp : 50,//升级提升攻击
    defUp : 50,//升级提升防御
    attrPoint : 1,//升级获得属性点
    atkSpd : 1,//攻击速度
    noHunger :true,
    noWater :true,
    noOneKill : true,
    text : null,//说明文本
    initItems : [],//初始物品
    recipes : [],//种族专属配方
    get : '',//解锁方式说明
    //获取是否时无饥饿种族
    getNoHunger(){
        return !!this.noHunger;
    },
    //获取攻击速度
    getAtkSpd(){
        return data.race.atkSpd + data.atkSpd + (data.weapon ? data.weapon.atkSpd || 0 : 0);
    },
    //种族技能
    skills : {},
    //初始信仰和神眷
    deity : null,
    //升级所需经验公式
    getLevelUpExp(){
        return 100 * data.level * 1000;
    },
    //创建人物时调用
    onCreate(){

    },
    //转职为这个职业时调用
    onToRace(){

    }
};

//种族列表
const races = {
    '教学种族' : new Race({
        name : '教学种族',
        initItems : [{name : '短程传送卷轴', num : 10}, {name : '重生十字章', num : 10}, {name : '草药膏', num : 50}],
        text : '为了让新玩家熟悉基本玩法的种族，建议熟悉了后就换其他种族，因为教学种族毫无强度和游戏性可言，且不能完成成就，不能使用镶嵌物仓库'
    }),
    '理之律者' : new Race({
        name : '理之律者',
        attrPoint : 2,//升级获得属性点
        skills : {
            '理之权能' : createRecipesCfg({'水' : 0})
        },
        text : '来自崩坏的世界的理之律者……'
    }),
    '神奇的绿毛虫' : new Race({
        name : '神奇的绿毛虫',
        godRace : '裂空座',
        attrPoint : 1,//升级获得属性点
        skills : {
            '画龙点睛' : createRecipesCfg({'水' : 0})
        },
        text : '在宝可梦世界只是一只随处可见的弱小精灵，在穿越来到此世界时貌似发生了未知的变化，它的体内意外入驻了一尊强大的灵魂……'
    }),
    '裂空座' : new Race({
        name : '裂空座',
        attrPoint : 2,//升级获得属性点
        skills : {
            '飞翔' : createRecipesCfg({'水' : 0}),
            '画龙点睛' : createRecipesCfg({'水' : 0})
        },
        text : '宝可梦世界的顶级神兽，裂空座，天空神奇宝可梦。一直在臭氧层里飞行的神奇宝可梦。据说当盖欧卡与固拉多互相战斗时，祂就会降临地面。'
    }),
    '禁忌者' : new Race({
        name : '禁忌者',
        godRace : '禁忌者·卍解',
        attrPoint : 1,//升级获得属性点
        skills : {
            '禁忌·永恒' : createRecipesCfg({'水' : 0})
        },
        text : '来自未知平行世界的神秘异能者，在那方世界，祂被人们尊称为：禁忌。'
    }),
    '禁忌者·卍解' : new Race({
        name : '禁忌者·卍解',
        attrPoint : 2,//升级获得属性点
        skills : {
            '禁忌·永恒' : createRecipesCfg({'水' : 0}),
            '禁忌·时间' : createRecipesCfg({'梦想糖果' : 50000})
        },
        text : '来自未知平行世界的神秘异能者，在那方世界，祂被人们尊称为：禁忌。'
    }),
    '仙武传人' : new Race({
        name : '仙武传人',
        attrPoint : 2,//升级获得属性点
        skills : {
            '紫薇心经' : createRecipesCfg({'水' : 0}),
            '斗转星移' : createRecipesCfg({'水' : 0})
        },
        text : '来着华夏的神秘传承者。'
    }),
    '僵小鱼' : new Race({
        name : '僵小鱼',
        def : 500,//初始防御
        defUp : 500,
        attrPoint : 2,//升级获得属性点
        skills : {
            '尸祖血脉' : createRecipesCfg({'水' : 0})
        },
        onCreate(){
            data.suck = 5000;
        },
        text : '一只开了灵智的可爱小姜丝～拥有尸祖的血脉，当它的生命值上限大于敌人生命值时，敌人的血液将瞬间被它吸食殆尽。'
    }),
    '达克莱伊' : new Race({
        name : '达克莱伊',
        attrPoint : 2,//升级获得属性点
        skills : {
            '暗黑洞' : createRecipesCfg({水 : 0})
        },
        text : '达克莱伊，黑暗宝可梦。据说在无月之夜出现，使人们入睡并遭受噩梦……'
    }),
    '喵老大' : new Race({
        name : '喵老大',
        attrPoint : 2,//升级获得属性点
        skills : {
            '小偷' : createRecipesCfg({水 : 0})
        },
        text : '贪财的喵老大在来到这个世界后，原本的偷钱能力，貌似发生了一些异常的奇特变化……'
    }),
    '魅魔公主' : new Race({
        name : '魅魔公主',
        get : '养成人物触发HappyEnd时解锁（以前已经完成剧情的养成人物，如果还被你养着，那么在你进入游戏时解锁魅魔公主）。具体操作为：养成人物到2000好感度时，对话即会触发和创世神的战斗，被创世神打死时，如果你的背包中有养成人物送给你的灵魂布偶，则触发HappyEnd。获得养成人物的方法见：图鉴-说明-养成',
        onCreate(){
            data.blood = [];
        },
        skills : {
            '查看气息' : createRecipesCfg({纤维 : 0}, 0, null, 1000),
            '魅惑' : createRecipesCfg({纤维 : 0}, 0, null, 1000),
        },
        text : '魅魔公主为了保持自身的吸引力，护甲的样式有所更改，所以只能获得护甲提供的防御力的80%（即护甲100防御，你穿上只增加80防御力）。魅魔公主对任何生物都极具吸引力，在战斗时，对方无法集中精神，攻击波动变为80%~100%。魅魔公主不享受等级经验加成，但是受等级经验削减。即打比自己等级高的怪不会增加经验，打比自己等级低的怪会减少经验。可以诱惑其他生物交配并吸取精气，吸取精气会耗费你大量能量，所以你的等级会下降被你吸收精气的生物对应的等级，清空经验，并自动进行一次洗点。吸收精气后，会带有该生物的气息，该生物不会主动攻击你。你可以反复吸收一种生物的精气，次数无限制。你第一次吸收某个生物的精气时，拥有该生物10%的气息，之后再次吸收这个生物的精气，气息增加1%，无上限。每拥有1%的气息，则增加该生物对应气息百分比的攻击和防御基础值（以图鉴数据为准，而不是战斗实时数据，只在特定时间出现的怪物，例如节日怪，在非节日期间，不会给玩家提供属性加成，查看气息时也看不到相应的怪物，但是如果确实有对应的气息，在下次节日节日期间又可以获得加成了），以及百分比的十分之一的血量上限，增加的属性向下取整，不足1点即为0。你可以拥有多个气息，拥有的数量不限制，每个气息都能给你带来基础属性加成，不会因为气息多了加成就变少。气息会在跳周目时全部失去。举例：第一次吸收荣耀骑士的精气，拥有荣耀骑士10%的气息，荣耀骑士的属性为“15000血，500攻击，200防御”，即你的基础属性增加150血，50攻击，20防御。之后每次吸收荣耀骑士精气，增加15血，5攻击，2防御'
    }),
    '往墟君王' : new Race({
        name : '往墟君王',
        skills : {
           '噬明览月I' : createRecipesCfg({'水' : 0}, 0, null, 100),
           '噬明览月II' : createRecipesCfg({'水' : 0}, 0, null, 100),
           '噬明览月III' : createRecipesCfg({'水' : 0}, 0, null, 1000),
           '噬明览月ld' : createRecipesCfg({'水' : 0}, 0, null, 1000),
           '往墟剑典I' : createRecipesCfg({'水' : 0}),
           '往墟剑典II' : createRecipesCfg({'水' : 0}),
           '往墟剑典III' : createRecipesCfg({'水' : 0}),
           '往墟剑典ld' : createRecipesCfg({'水' : 0}),
           '行商' : createRecipesCfg({'石头' : 0}, 0, null, 1000),
        },
        text : '哦？吾位生之背面，夺万物苍穹为生。爬蚁？叩下！'
    }),
    '月球之子' : new Race({
        name : '月球之子',
        skills : {
            '术' : createRecipesCfg({'神性结晶' : 0}),
            '残破香烟' : createRecipesCfg({'纤维' : 0}),
            '真空降临' : createRecipesCfg({'纤维' : 0}),
            '月球白镜' : createRecipesCfg({'纤维' : 0}),
        },
        onCreate(){
            if(data.maxSan > 95){
                data.maxSan = 95;
                addObjSan(data, 0)
            }
        },
    get : '无权解锁',
        text : '漫步于银河的强者，理智有权大于90以上，是所有位面的敌人，他曾杀死过创世神。特性：属性面板看，属性点相当于升级时人类-神孽的属性点→3'
    }),
    '伽莉尔' : new Race({
        name : '伽莉尔',
        skills : {
            '术' : createRecipesCfg({'水' : 0}),
            '血荒图' : createRecipesCfg({'红水晶' : 0}),
            '龙骨附魔' : createRecipesCfg({'石头' : 0}),
            '无垢之净' : createRecipesCfg({'水' : 0}),
        },
        onCreate(){
            if(data.maxSan > 95){
                data.maxSan = 95;
                addObjSan(data, 0)
            }
        },
    get : '荒古啊…陨落了！！',
        text : '自荒古而生的人类，据说她有第三只眼，能毁掉一切污浊之物。特性：水分饥饿提升5，其它属性甚于月球之子，属性点提升→0，初始100水分饥饿'
    }),
    '不死族' : new Race({
        name : '不死族',
        onCreate(){
            data.suck = 200;
        },
        initItems : [{name : '贤者之石', num : 1},{name : '重生十字章', num : 999},{name : '牙齿项链', num : 1},{name : '水晶徽章', num: 1},{name : '神秘印记', num : 1}],
        skills : {
            '不死特性' : createRecipesCfg({'水' : 0}, 0, null, 1),
        },
        text : '被全世界针对。'
    }),
    '守夜人' : new Race({
        name : '守夜人',
        godRace : '不灭·守夜',
        onCreate(){
            data.suck = 100;
        },
        initItems : [{name : '贤者之石', num : 1},{name : '重生十字章', num : 999},{name : '牙齿项链', num : 1},{name : '水晶徽章', num: 1},{name : '神秘印记', num : 1}],
        skills : {
            '斩神一刀' : createRecipesCfg({'水' : 0})
        },
        text : '若黯夜降临…吾必立于万万人之前！向死而生！'
    }),
    '不灭·守夜' : new Race({
        name : '不灭·守夜',
        attrPoint : 2,
        onCreate(){
            data.suck = 1000;
        },
        initItems : [{name : '贤者之石', num : 1},{name : '重生十字章', num : 999},{name : '牙齿项链', num : 1},{name : '水晶徽章', num: 1},{name : '神秘印记', num : 1}],
        skills : {
            '斩神一刀' : createRecipesCfg({'水' : 0}),
            '刀意' : createRecipesCfg({'水' : 0})
        },
        text : '前方是黑暗，身后......是那万家灯火……此战，必胜！我输不起，也不能输……'
    }),
    '小萝莉～' : new Race({
        name : '小萝莉～',
        onCreate(){
            data.suck = 100;
        },
        initItems : [{name : '贤者之石', num : 1},{name : '重生十字章', num : 999},{name : '牙齿项链', num : 1},{name : '水晶徽章', num : 1},{name : '神秘印记', num : 1},{name : '牵引卷轴', num : 100}],
        skills : {
            '身娇' : createRecipesCfg({'水' : 0}, 0, null, 1),
            '体软' : createRecipesCfg({'水' : 0}, 0, null, 1),
            '易推倒' : createRecipesCfg({'水' : 0}, 0, null, 1),
        },
        text : '萌萌哒小萝莉～怎么会有人不喜欢她呢～'
    }),
    '电击魔兽' : new Race({
        name : '电击魔兽',
        initItems : [{name : '短程传送卷轴', num : 100}, {name : '重生十字章', num : 100}],
        skills : {
             '雷电拳' : createRecipesCfg({'水' : 0})
        },
        text : '只要一只电击魔兽就能提供一座大城市的建筑物1年所需的全部电力。'
    }),
    '爆肌蚊' : new Race({
        name : '爆肌蚊',
        initItems : [{name : '短程传送卷轴', num : 100}, {name : '重生十字章', num : 100}],
        skills : {
             '血液操控' : createRecipesCfg({'水' : 0})
        },
        text : '会炫耀膨胀到异常程度的肌肉，是究极生物的一种。'
    }),
    '百变怪' : new Race({
        name : '百变怪',
        godRace : '究极·百变怪',
        initItems : [{name : '短程传送卷轴', num : 100}, {name : '重生十字章', num : 100}],
        skills : {
             '变身' : createRecipesCfg({'水' : 0})
        },
        text : '可以变成任何人的样子，据说两只百变怪相遇的时候，为了能变成和对方相同的样子，它们动起来会比平常更加剧烈。'
    }),
    '究极·百变怪' : new Race({
        name : '究极·百变怪',
        initItems : [{name : '短程传送卷轴', num : 100}, {name : '重生十字章', num : 100}],
        skills : {
             '究极变身' : createRecipesCfg({'水' : 0})
        },
        text : '可以变成任何人的样子，据说两只百变怪相遇的时候，为了能变成和对方相同的样子，它们动起来会比平常更加剧烈。'
    }),
    '亚克诺姆' : new Race({
        name : '亚克诺姆',
        initItems : [{name : '短程传送卷轴', num : 100}, {name : '重生十字章', num : 100}],
        skills : {
             '广域战力' : createRecipesCfg({'梦想糖果' : 50000}),
             '神通力' : createRecipesCfg({'水' : 0})
        },
        text : '亚克诺姆，意志宝可梦。被称作意志之神，长期沉睡在湖底保持着世界的平衡。'
    }),
    '莱希拉姆' : new Race({
        name : '莱希拉姆',
        initItems : [{name : '短程传送卷轴', num : 100}, {name : '重生十字章', num : 100}],
        skills : {
             '青焰' : createRecipesCfg({'水' : 0})
        },
        text : '在神话的叙述里，如果人们蔑视真实，放纵欲望。它就会用火焰烧尽他们的王国。'
    }),
    '由克希' : new Race({
        name : '由克希',
        initItems : [{name : '短程传送卷轴', num : 100}, {name : '重生十字章', num : 100}],
        skills : {
             '瞬间失忆' : createRecipesCfg({'水' : 0})
        },
        text : '由克希，知识神奇宝贝。被称作知识之神，据说拥有着消除与它对视的人的记忆的力量……'
    }),
    '基拉祈' : new Race({
        name : '基拉祈',
        godRace : '七夜的许愿星·基拉祈',
        initItems : [{name : '短程传送卷轴', num : 100}, {name : '重生十字章', num : 100}],
        skills : {
             '祈愿' : createRecipesCfg({'水' : 0}),
             '破灭之愿' : createRecipesCfg({'水' : 0})
        },
        text : '来自宝可梦世界被称为七夜的许愿星的幻兽宝可梦——基拉祈，传说当它从1000年的沉睡中醒来时，会实现写在它头部许愿筏上的愿望……'
    }),
    '七夜的许愿星·基拉祈' : new Race({
        name : '七夜的许愿星·基拉祈',
        attrPoint : 2,
        initItems : [{name : '短程传送卷轴', num : 100}, {name : '重生十字章', num : 100}],
        skills : {
             '祈愿' : createRecipesCfg({'水' : 0}),
             '破灭之愿' : createRecipesCfg({'水' : 0}),
             '许愿' : createRecipesCfg({'梦想糖果' : 5000})
        },
        text : '来自宝可梦世界被称为七夜的许愿星的幻兽宝可梦——基拉祈，传说当它从1000年的沉睡中醒来时，会实现写在它头部许愿筏上的愿望……'
    }),
    '伊裴尔塔尔' : new Race({
        name : '伊裴尔塔尔',
        godRace : '死亡神座·伊裴尔塔尔',
        initItems : [{name : '短程传送卷轴', num : 100}, {name : '重生十字章', num : 100}, {name : '技能石：死亡之翼', num : 1}],
        skills : {
             '死亡之翼' : createRecipesCfg({'水' : 0})
        },
        text : '来自宝可梦世界的传说中的宝可梦——伊裴尔塔尔，掠夺世人生命的死亡之神，亦是随意玩弄死亡之神……注:敌人攻击祂时祂不会掉血，反而会增加生命值上限，当祂的生命值上限高于自身生命值+敌人生命值上限+自身等级百倍+自身累积值百倍时才会死亡。'
    }),
    '死亡神座·伊裴尔塔尔' : new Race({
        name : '死亡神座·伊裴尔塔尔',
        initItems : [{name : '短程传送卷轴', num : 100}, {name : '重生十字章', num : 100}, {name : '技能石：死亡之翼', num : 1}],
        skills : {
             '死亡之翼' : createRecipesCfg({'水' : 0}),
             '永恒' : createRecipesCfg({'梦想糖果' : 50000})
        },
        text : '恢复了全部实力的伊裴尔塔尔，彻底掌握了死亡之权柄……在终极技能:"永恒"的加持下，祂将……无人能敌，彻底不死……'
    }),
    '哲尔尼亚斯' : new Race({
        name : '哲尔尼亚斯',
        initItems : [{name : '短程传送卷轴', num : 100}, {name : '重生十字章', num : 100}],
        skills : {
            '缩小' : createRecipesCfg({'水' : 0}),
            '生命气息' : createRecipesCfg({'水' : 0}),
            '妖精气场' : createRecipesCfg({'水' : 0})
        },
        text : '来自宝可梦世界的传说中的宝可梦——哲尔尼亚斯，怜悯世人的生命之神，亦是随意玩弄生命之神，传说，祂可以与别人共享自己永恒的生命……'
    }),
    '美洛耶塔·歌声' : new Race({
        name : '美洛耶塔·歌声',
        godRace : '美洛耶塔·双形态',
        initItems : [{name : '短程传送卷轴', num : 100}, {name : '重生十字章', num : 100}],
        skills : {
            '治愈铃声' : createRecipesCfg({'水' : 0}),
            '唱歌' : createRecipesCfg({'水' : 0}),
            '古老之歌' : createRecipesCfg({'水' : 0})
        },
        onCreate(){
            data.suck = 100;
        },
        text : '来自宝可梦世界的传说中的宝可梦——美洛耶塔，祂被称为旋律仙子，有歌声与舞步的两种形态，来到此世界的祂，像其他来到此世界的宝可梦一样，失去了大部分能力，目前只能使出最核心的常用技能“唱歌”与“古老之歌”……来到这个世界后，祂失去了提升自身力量的能力……祂只有“古老之歌”了……祂将用自己的歌声，彻底掌控敌人，使其……自杀！注:“古老之歌”能力为，以歌声控制敌人使其“自残”，造成敌人(自身防御加防御1/2)加(攻击1/2+自身攻击)的伤害。'
    }),
    '美洛耶塔·双形态' : new Race({
        name : '美洛耶塔·双形态',
        attrPoint : 2,//升级获得属性点
        initItems : [{name : '短程传送卷轴', num : 100}, {name : '重生十字章', num : 100}],
        skills : {
            '治愈铃声' : createRecipesCfg({'水' : 0}),
            '唱歌' : createRecipesCfg({'水' : 0}),
            '古老之歌' : createRecipesCfg({'水' : 0}),
            '旋律之舞' : createRecipesCfg({'水' : 0})
        },
        onCreate(){
            data.suck = 200;
        },
        text : '来自宝可梦世界的传说中的宝可梦——美洛耶塔，祂被称为旋律仙子，有歌声与舞步的两种形态，来到此世界的祂，像其他来到此世界的宝可梦一样，失去了大部分能力，目前只能使出最核心的常用技能“唱歌”与“古老之歌”……来到这个世界后，祂失去了提升自身力量的能力……祂只有“古老之歌”了……祂将用自己的歌声，彻底掌控敌人，使其……自杀！注:“旋律之舞”能力为，以歌声鼓动敌人使其增加攻击，提升敌人1/5攻击力减少敌人1/5防御值。'
    }),
    '时拉比' : new Race({
        name : '时拉比',
        initItems : [{name : '短程传送卷轴', num : 100}, {name : '重生十字章', num : 100}, {name : '时空碎片', num : 100}],
        skills : {
            '预知未来' : createRecipesCfg({'水' : 0}),
            '灭亡之歌' : createRecipesCfg({'水' : 0})
        },
        text : '来自宝可梦世界的幻兽宝可梦时拉比，爱好生命与和平的森林之神，在预知到自己即将被卷到这个危险异世界的祂，快马加鞭从三位神兽那里学来了可以在这个世界使用的融合了四位神灵力量的能力，但是祂依然没有直接攻击的手段……'
    }),
    '基格尔德·100%' : new Race({
        name : '基格尔德·100%',
        initItems : [{name : '短程传送卷轴', num : 100}, {name : '重生十字章', num : 100}],
        skills : {
            '核心惩罚者' : createRecipesCfg({'水' : 0}),
            '群聚变形' : createRecipesCfg({'水' : 0})
        },
        text : '来自宝可梦世界的Z神——基格尔德，神奇的是，祂100%的细胞都来到了这个世界……这意味着……祂的实力或许没有被削弱？虽然还是失去了大部分技能就是了。'
    }),
    '幸福蛋' : new Race({
        name : '幸福蛋',
        godRace : '幸福天使',
        initItems : [{name : '短程传送卷轴', num : 100}, {name : '重生十字章', num : 100}],
        skills : {
            '地球上投' : createRecipesCfg({'石头' : 0})
        },
        text : '幸福蛋是一直十分治愈的宝可梦，地球上投几乎是每一只没什么攻击的蛋都会必备的神技了吧？'
    }),
    '幸福天使' : new Race({
        name : '幸福天使',
        attrPoint : 2,
        initItems : [{name : '短程传送卷轴', num : 100}, {name : '重生十字章', num : 100}],
        skills : {
            '天使之吻' : createRecipesCfg({'石头' : 0}),
            '地球上投' : createRecipesCfg({'石头' : 0})
        },
        text : '幸福蛋的突变进化形态，拥有天使般的容貌，类人形宝可梦，身着一身白粉相间的裙子，体型幼小，甚是可爱。'
    }),
    '阿尔宙斯' : new Race({
        name : '阿尔宙斯',
        godRace : '创世神·阿尔宙斯',
        def : 1,//初始防御
        defUp : 1,//升级提升防御
        initItems : [{name : '短程传送卷轴', num : 100}, {name : '重生十字章', num : 100}],
        skills : {
            '一般系石板' : createRecipesCfg({'石头' : 0}),
            '月光' : createRecipesCfg({'石头' : 0}),
            '地球上投' : createRecipesCfg({'石头' : 0}),
            '预知未来' : createRecipesCfg({'水' : 0}),
            '唱歌' : createRecipesCfg({'水' : 0}),
            '缩小' : createRecipesCfg({'水' : 0})
        },
        text : '来自宝可梦世界的创世神，意外丢失十七块属性石板，如今只剩下一块一般系石板，也因此不再是不死之身，持有一般系石板的祂，拥有免疫普通攻击的能力，在这个物理至上的世界，或许……也不算太过绝望？注：由于力量缺失，祂只能使用普通攻击，但也同时可以使用同样意外流浪此世界的其他宝可梦的非专属技能……比如……蒂安希的“月光”？'
    }),
    '创世神·阿尔宙斯' : new Race({
        name : '创世神·阿尔宙斯',
        initItems : [{name : '短程传送卷轴', num : 100}, {name : '重生十字章', num : 100}],
        skills : {
            '一般系石板' : createRecipesCfg({'石头' : 0}),
            '十八属性石板' : createRecipesCfg({'梦想糖果' : 50000}),
            '月光' : createRecipesCfg({'石头' : 0}),
            '地球上投' : createRecipesCfg({'石头' : 0}),
            '预知未来' : createRecipesCfg({'水' : 0}),
            '唱歌' : createRecipesCfg({'水' : 0}),
            '缩小' : createRecipesCfg({'水' : 0})
        },
        text : '恢复了全部实力的来自宝可梦世界的创世神·阿尔宙斯。'
    }),
    '蒂安希' : new Race({
        name : '蒂安希',
        godRace : '超级·蒂安希',
        initItems : [{name : '短程传送卷轴', num : 100}, {name : '重生十字章', num : 100}],
        skills : {
            '永恒钻石' : createRecipesCfg({'石头' : 0}),
            '钻石风暴' : createRecipesCfg({'石头' : 0}),
            '月光' : createRecipesCfg({'石头' : 0})
        },
        onCreate(){
            data.suck = 100;
        },
        text : '幻兽宝可梦——蒂安希，是传说中的宝可梦，钻石王国的公主，由小碎钻突变而来。'
    }),
    '超级·蒂安希' : new Race({
        name : '超级·蒂安希',
        attrPoint : 2,//升级获得属性点
        initItems : [{name : '短程传送卷轴', num : 100}, {name : '重生十字章', num : 100}],
        skills : {
            '永恒钻石' : createRecipesCfg({'石头' : 0}),
            '钻石风暴' : createRecipesCfg({'石头' : 0}),
            '钻石守护' : createRecipesCfg({'石头' : 0}),
            '月光' : createRecipesCfg({'石头' : 0})
        },
        onCreate(){
            data.suck = 200;
        },
        text : '据说在精灵宝可梦世界，蒂安希可以通过蒂安希mage进化石进化成为超级·蒂安希……'
    }),
    '人类' : new Race({
        name : '人类',
        initItems : [{name : '技能石：血气斩', num : 1}, {name : '浆果', num : 10}, {name : '水', num : 10}],
        skills : {
            '血气斩' : createRecipesCfg({'肉' : 1}),
        },
        text : '生命上限越高，伤害越高'
    }),
    '人类-战士' : new Race({
        name : '人类-战士',
        godRace : '人类-神孽',//对应的2觉种族
        skills : {
            '血气斩' : createRecipesCfg({'肉' : 1}),
            '浴血奋战' : createRecipesCfg({'肉' : 1})
        },
        text : '人类一次觉醒种族，比其他一觉种族多了1点属性点，愈战愈勇'
    }),
    '人类-神孽' : new Race({
        name : '人类-神孽',
        skills : {
            '血气斩' : createRecipesCfg({'肉' : 1}),
            '浴血奋战' : createRecipesCfg({'肉' : 1}),
            '狂暴治疗' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
        },
        text : '人类-战士二次觉醒种族，受伤越重，恢复能力越强'
    }),
    '人类-法师' : new Race({
        name : '人类-法师',
        godRace : '人类-元素师',
        skills : {
            '寒冰箭' : createRecipesCfg({'魔晶石' : 1}),
            '火球术' : createRecipesCfg({'魔晶石' : 1})
        },
        onToRace(){
            data.spi = 600;
        },
        text : '人类一次觉醒种族，能使用魔法，拥有精神属性，精神上限为等级*10，睡觉时每15分钟恢复5点精神，没睡觉时每15分钟恢复1点精神，没有饥饿和水分也不会影响精神的恢复'
    }),
    '人类-元素师' : new Race({
        name : '人类-元素师',
        skills : {
            '寒冰箭' : createRecipesCfg({'魔晶石' : 1}),
            '火球术' : createRecipesCfg({'魔晶石' : 1}),
        },
        text : '人类-法师二次觉醒种族，掌握瞬发技巧，使用法术不需要念咒，精神上限变为等级 * 30，精神恢复速度翻倍'
    }),
    '史莱姆' : new Race({
        name : '史莱姆',
        initItems : [{name : '技能石：吞噬', num : 1000}, {name : '粘液', num : 10}],
        skills : {
            '吞噬' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '消化' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '腐蚀' : createRecipesCfg({'粘液' : 1}),
            '强酸腐蚀' : createRecipesCfg({'强酸粘液' : 1})
        },
        text : '恢复强，伤害高，就是打材料麻烦'
    }),
    '史莱姆-强酸' : new Race({
        name : '史莱姆-强酸',
        godRace : '史莱姆-毒液',
        skills : {
            '吞噬' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '消化' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '腐蚀' : createRecipesCfg({'粘液' : 1}),
            '强酸腐蚀' : createRecipesCfg({'强酸粘液' : 1}),
            '强酸护甲' : createRecipesCfg({'强酸粘液' : 1}, 0, null, 1000)
        },
        text : '史莱姆一次觉醒种族，能用强酸保护自己，并对攻击者造成伤害'
    }),
    '史莱姆-毒液' : new Race({
        name : '史莱姆-毒液',
        skills : {
            '吞噬' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '消化' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '腐蚀' : createRecipesCfg({'粘液' : 1}),
            '强酸腐蚀' : createRecipesCfg({'强酸粘液' : 1}),
            '强酸护甲' : createRecipesCfg({'强酸粘液' : 1}, 0, null, 1000),
            '枯朽' : createRecipesCfg({'枯朽粘液' : 1}),
        },
        text : '史莱姆-强酸二次觉醒种族，含有剧毒'
    }),
    '史莱姆-巨化' : new Race({
        name : '史莱姆-巨化',
        godRace : '史莱姆-王者',
        skills : {
            '吞噬' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '消化' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '分裂' : createRecipesCfg({'粘液' : 1}, 0, null, 1000)
        },
        text : '史莱姆一次觉醒种族，拥有巨大的身体，能承受更多的伤害，同时拥有恐怖的恢复能力'
    }),
    '史莱姆-王者' : new Race({
        name : '史莱姆-王者',
        skills : {
            '吞噬' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '消化' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '分裂' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '王者护卫' : createRecipesCfg({'粘液' : 1}, 0, null, 1000)
        },
        text : '史莱姆-巨化二次觉醒种族，作为一个王者，最重要的是活着，所以生命力极其浑厚'
    }),
    '哥布林' : new Race({
        name : '哥布林',
        initItems : [{name : '技能石：偷袭', num : 1}],
        skills : {
            '偷袭' : createRecipesCfg({'魔晶石' : 1}),
            '伪装求饶' : createRecipesCfg({'魔晶石' : 1}),
            '偷窃' : createRecipesCfg({'魔晶石' : 1}),
            '神之手指' : createRecipesCfg({'神性结晶' : 1})
        },
        text : '哥布林总是十分猥琐小心，显得十分弱小。在你攻击或者使用投掷品之前，怪物会信心爆棚，并对你不屑一顾，此时怪物对你的造成的伤害减少30%，该减伤可以和盾牌其他减伤效果叠加（例如装备了龙盾的情况下，就是总共70%减伤）'
    }),
    '哥布林-商人' : new Race({
        name : '哥布林-商人',
        godRace : '哥布林-神壕',
        skills : {
            '伪装求饶' : createRecipesCfg({'魔晶石' : 1}),
            '偷窃' : createRecipesCfg({'魔晶石' : 1}),
            '神之手指' : createRecipesCfg({'神性结晶' : 1}),
            '行商' : createRecipesCfg({'魔晶石' : 1}, 0, null, 1000)
        },
        text : '哥布林一次觉醒种族，保留了哥布林的减伤特性，并拥有打开一个专属交易页面的功能，在专属交易页面中，可以无限制购买本层出售的所有商品，并且在专属交易页面出售物品时半价出售，而非五分之一价格出售'
    }),
    '哥布林-神壕' : new Race({
        name : '哥布林-神壕',
        getLevelUpExp(){
            let rate = 1;
            if(data.level > 130){
                rate += parseInt((data.level - 130) / 10);
            }
            return data.level * data.level * 10 * rate;
        },
        skills : {
            '伪装求饶' : createRecipesCfg({'魔晶石' : 1}),
            '偷窃' : createRecipesCfg({'魔晶石' : 1}),
            '神之手指' : createRecipesCfg({'神性结晶' : 1}),
            '行商' : createRecipesCfg({'魔晶石' : 1}, 0, null, 1000),
            '金钱至上' : createRecipesCfg({'魔晶石' : 1}, 0, null, 1000),
            '金钱万岁' : createRecipesCfg({'魔晶石' : 1}, 0, null, 1000),
        },
        text : '哥布林-商人二次觉醒种族，可以用金钱直接购买等级，但是从130级开始，升级经验每过10级提高1倍。即140级以下，升级经验和常规种族一样。140级~149级，需要2倍升级经验，150~159级需要3倍升级经验，160~169级需要4倍升级经验，以此类推。'
    }),
    '哥布林-卑劣者' : new Race({
        name : '哥布林-卑劣者',
        godRace : '哥布林-恶徒',
        skills : {
            '抽刀' : createRecipesCfg({'魔晶石' : 1}),
            '夺目' : createRecipesCfg({'魔晶石' : 1}),
            '放血' : createRecipesCfg({'魔晶石' : 1})
        },
        text : '哥布林一次觉醒种族，保留了哥布林的减伤特性，擅长以卑劣的手段攻击敌人，虽然脆弱，却极具攻击性'
    }),
    '哥布林-恶徒' : new Race({
        name : '哥布林-恶徒',
        skills : {
            '抽刀' : createRecipesCfg({'魔晶石' : 1}),
            '夺目' : createRecipesCfg({'魔晶石' : 1}),
            '放血' : createRecipesCfg({'魔晶石' : 1}),
            '疯狂连击' : createRecipesCfg({'魔晶石' : 1})
        },
        text : '哥布林-卑劣者二次觉醒种族，理论上有可能打出无限连'
    }),
    '扑克人' : new Race({
        name : '扑克人',
        initItems : [{name : '技能石：黑桃', num : 1000},{name : '技能石：红桃', num : 1000},{name : '技能石：梅花', num : 1},{name : '技能石：方片', num : 1000}],
        skills : {
            '黑桃' : createRecipesCfg({'纤维' : 1}, 0, null, 1000),
            '红桃' : createRecipesCfg({'纤维' : 1}, 0, null, 1000),
            '梅花' : createRecipesCfg({'纤维' : 1}),
            '方片' : createRecipesCfg({'纤维' : 1}, 0, null, 1000),
        },
        text : '曾经最强初始种族，后来被作者削弱了，不过依旧可能是最强种族'
    }),
    '扑克人-游侠' : new Race({
        name : '扑克人-游侠',
        godRace : '扑克人-剑神',
        skills : {
            '黑桃' : createRecipesCfg({'纤维' : 1}, 0, null, 1000),
            '红桃' : createRecipesCfg({'纤维' : 1}, 0, null, 1000),
            '梅花' : createRecipesCfg({'纤维' : 1}),
            '方片' : createRecipesCfg({'纤维' : 1}, 0, null, 1000),
            '重置' : createRecipesCfg({'纤维' : 1}, 0, null, 1000),
            '连击' : createRecipesCfg({'纤维' : 1}, 0, null, 1000),
        },
        text : '扑克人一次觉醒种族，擅长连击'
    }),
    '扑克人-剑神' : new Race({
        name : '扑克人-剑神',
        skills : {
            '黑桃' : createRecipesCfg({'纤维' : 1}, 0, null, 1000),
            '红桃' : createRecipesCfg({'纤维' : 1}, 0, null, 1000),
            '梅花' : createRecipesCfg({'纤维' : 1}),
            '方片' : createRecipesCfg({'纤维' : 1}, 0, null, 1000),
            '重置' : createRecipesCfg({'纤维' : 1}, 0, null, 1000),
            '连击' : createRecipesCfg({'纤维' : 1}, 0, null, 1000),
            '开天' : createRecipesCfg({'纤维' : 1}),
        },
        text : '扑克人-游侠二次觉醒种族，擅长爆发'
    }),
    '扑克人-反王' : new Race({
        name : '扑克人-反王',
        godRace : '扑克人-全王',
        skills : {
            '黑桃' : createRecipesCfg({'纤维' : 1}, 0, null, 1000),
            '红桃' : createRecipesCfg({'纤维' : 1}, 0, null, 1000),
            '梅花' : createRecipesCfg({'纤维' : 1}),
            '方片' : createRecipesCfg({'纤维' : 1}, 0, null, 1000),
            '重置' : createRecipesCfg({'纤维' : 1}, 0, null, 1000),
            '红王' : createRecipesCfg({'纤维' : 1}, 0, null, 1000),
            '黑王' : createRecipesCfg({'纤维' : 1}, 0, null, 1000),
        },
        text : '扑克人一次觉醒种族，擅长强化花色'
    }),
    '扑克人-全王' : new Race({
        name : '扑克人-全王',
        skills : {
            '黑桃' : createRecipesCfg({'纤维' : 1}, 0, null, 1000),
            '红桃' : createRecipesCfg({'纤维' : 1}, 0, null, 1000),
            '梅花' : createRecipesCfg({'纤维' : 1}),
            '方片' : createRecipesCfg({'纤维' : 1}, 0, null, 1000),
            '重置' : createRecipesCfg({'纤维' : 1}, 0, null, 1000),
            '红王' : createRecipesCfg({'纤维' : 1}, 0, null, 1000),
            '黑王' : createRecipesCfg({'纤维' : 1}, 0, null, 1000),
            '全王' : createRecipesCfg({'纤维' : 1}, 0, null, 1000),
        },
        text : '扑克人-反王二次觉醒种族，强化所有花色'
    }),
    '开拓者' : new Race({
        challenge : true,
        name : '开拓者',
        getLevelUpExp(){
            return data.level * data.level * 5;
        },
        initItems : [{name : '短程传送卷轴', num : 3}],
        text : '挑战种族。开拓者不能使用镶嵌物仓库，不能使用种族周目商店，无法获得其他角色周目的周目礼包（自身跳周目可以获得礼包），无法获得神话诅咒，逃跑成功率30%，每10分钟减少一次状态（其他种族为15分钟），升级所需的经验减半',
    }),
    '寒影' : new Race({
        challenge : true,
        name : '寒影',
        getLevelUpExp(){
            return data.level * data.level * 5;
        },
        initItems : [],
        text : '挑战种族，且拥有开拓者的所有特性。玩家“寒影”特别要求的种族，永久在地图显示神话怪的位置。所有怪物（不仅限于神话怪）变为24小时主动攻击，攻击概率统一为10%，在和比自己等级高的怪物战斗时，怪物每比玩家等级高1级，属性提高5%'
    }),
    '弑魂叔' : new Race({
        challenge : true,
        name : '弑魂叔',
        getLevelUpExp(){
            return data.level * data.level * 5;
        },
        recipes : {
            '折叠床' : createRecipesCfg({'铁锭' : 10, '布' : 20, '纤维' : 50}),
            '木罐' : createRecipesCfg({'木材' : 3, '粘液' : 10}),
            '果汁' : createRecipesCfg({'木罐' : 1,'浆果' : 10}),
        },
        onCreate(){
            data.spd = 30;
        },
        initItems : [{name : '短程传送卷轴', num : 3},{name : '书包', num : 1},{name : '一包饼干', num : 10}],
        text : '挑战种族，且拥有开拓者的所有特性。因为弑魂叔习惯快步走路，自带30%移动速度加成，也因此消耗更大，季度为夏天时水分消耗变为3倍(其他种族为2倍)，睡觉时和其他种族饥饿消耗一致，非睡觉时饥饿消耗为1.5倍。弑魂叔身体素质不行，所以初始负重略低一些，但是弑魂叔随身携带者书包，并且书包中常备着一些饼干，但他并不会做饼干，所以吃完就没了。弑魂叔可以制作折叠床和自制果汁。弑魂叔有严重的腰间盘突出和心脏早搏，所以当连续3个小时没有睡觉，进入战斗时会自动附加“腰痛”状态，攻击力降低10%，防御力降低20%，该状态无法被清除。连续8个小时没睡觉，进入战斗时会自动附加“煎熬”状态，攻击力降低30%，防御力降低50%，该状态无法被清除。连续15个小时没睡觉，时间每流逝1分钟，降低1点血量，进入战斗时会自动附加“崩溃”状态，攻击力降低50%，防御力降低80%，该状态无法被清除。弑魂叔可以在主页的时间后面看到自己多久没睡觉。当1天没睡觉时，每次时间流逝都有1%几率猝死，在1天的基础上，每增加1小时，猝死几率增加3%',
    }),
    '神性史莱姆' : new Race({
        name : '神性史莱姆',
        initItems : [{name : '神性液体', num : 10}],
        skills : {
            '凝结' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '融入' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '神疗术' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '净化' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '神性爆发' : createRecipesCfg({'粘液' : 1}, 0, null, 1000)
        },
        deity : {
            name : '水之女神',
            godFavor : 1000,
            belief : 0
        },
        onCreate(){
            data.divinity = 50;
            data.reduceHart = 0.2;
        },
        get : '史莱姆吃50个神性液体，会获得进化刻印，使用进化刻印解锁',
        text : '固定拥有20%的减伤'
    }),
    '神性史莱姆-神化' : new Race({
        name : '神性史莱姆-神化',
        godRace : '神性史莱姆-半神',
        skills : {
            '凝结' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '融入' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '神疗术' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '净化' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '神性爆发' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '索求' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '律令死亡' : createRecipesCfg({'粘液' : 1}),
        },
        text : '神性史莱姆一次觉醒种族，保留减伤特性，并逐步提高自己的神性'
    }),
    '神性史莱姆-半神' : new Race({
        name : '神性史莱姆-半神',
        skills : {
            '凝结' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '融入' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '神疗术' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '净化' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '神性爆发' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '索求' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '律令死亡' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '祈祷' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
        },
        text : '神性史莱姆-神化二次觉醒种族，可以借助神性直接提升等级'
    }),
    '神性史莱姆-亵渎' : new Race({
        name : '神性史莱姆-亵渎',
        godRace : '神性史莱姆-狩神者',
        skills : {
            '凝结' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '融入' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '神疗术' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '神性爆发' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '奉献' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
        },
        text : '神性史莱姆一次觉醒种族，保留减伤特性，对神力本身充满了亵渎之意，能用神性换取水之女神的眷顾。击杀神话怪物时，获得怪物等级/3的神性，副本中击杀无法获得神性'
    }),
    '神性史莱姆-狩神者' : new Race({
        name : '神性史莱姆-狩神者',
        skills : {
            '凝结' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '融入' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '神疗术' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '神性爆发' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '奉献' : createRecipesCfg({'粘液' : 1}, 0, null, 1000),
            '狩神' : createRecipesCfg({'粘液' : 1}),
        },
        text : '神性史莱姆-亵渎二次觉醒种族，可以对神话生物造成巨额伤害'
    }),
    '巨龙' : new Race({
        name : '巨龙',
        initItems : [{name : '技能石：龙威', num : 1}],
        skills : {
            '龙威' : createRecipesCfg({'龙晶' : 1})
        },
        get : '在生命祭坛制造“转生卷轴：巨龙”，使用后解锁',
        text : '巨龙对一般生物拥有绝对的血脉压制，怪物不会主动攻击你。在你主动攻击怪物时，如果怪物攻击力*0.8不超过你的防御力，且你攻击力*1.5超过可怪物的防御力（该攻击力不会计入武器的攻击力，但是会计入护甲的攻击力），则不进行战斗，直接取得战斗胜利，也不会损耗装备耐久度。该特性只对普通怪物有效'
    }),
    '巨龙-红龙' : new Race({
        name : '巨龙-红龙',
        godRace : '巨龙-三头龙',
        initItems : [{name : '技能石：龙威', num : 1}],
        skills : {
            '龙威' : createRecipesCfg({'龙晶' : 1}),
            '烈焰' : createRecipesCfg({'魔晶石' : 1}),
        },
        text : '巨龙一次觉醒种族，保留了血脉压制特性，并觉醒了自己的红龙血脉'
    }),
    '巨龙-黑龙' : new Race({
        name : '巨龙-黑龙',
        godRace : '巨龙-三头龙',
        initItems : [{name : '技能石：龙威', num : 1}],
        skills : {
            '龙威' : createRecipesCfg({'龙晶' : 1}),
            '凋零' : createRecipesCfg({'魔晶石' : 1}),
        },
        text : '巨龙一次觉醒种族，保留了血脉压制特性，并觉醒了自己的黑龙血脉'
    }),
    '巨龙-三头龙' : new Race({
        name : '巨龙-三头龙',
        initItems : [{name : '技能石：龙威', num : 1}],
        skills : {
            '龙威' : createRecipesCfg({'龙晶' : 1}),
            '三色龙息' : createRecipesCfg({'魔晶石' : 1}),
        },
        text : '巨龙-红龙和巨龙-黑龙共同的二次觉醒种族，能同时喷吐3色龙息'
    }),
    '亡灵族' : new Race({
        name : '亡灵族',
        initItems : [{name : '灵魂碎片', num : 10}],
        skills : {
            '死魂灵' : createRecipesCfg({'灵魂碎片' : 1}),
            '提取肉' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
            '提取魔兽肉' : createRecipesCfg({'魔兽肉' : 1}, 0, null, 1000),
            '提取亚龙肉' : createRecipesCfg({'亚龙肉' : 1}, 0, null, 1000)
        },
        onCreate(){
            data.soul = 0;
        },
        get : '在生命祭坛制造“灵魂标记：亡灵族”，使用后解锁，使用“灵魂标记：巫妖”会同时解锁亡灵族',
        text : '该种族无法觉醒（即无法一二转）。击杀怪物后，恢复怪物最大生命20%的HP。亡灵不知疲倦。地图移动更快，只需要30分钟。亡灵耐力更强，可以超负重移动，负重每超过负重上限一倍，地图移动时间提高一倍（以30分钟为基础），不满一倍按1倍算。每杀死一个相差10级以内的怪物，会获得1灵魂'
    }),
    '巫妖' : new Race({
        name : '巫妖',
        initItems : [{name : '灵魂碎片', num : 10}],
        skills : {
            '提取肉' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
            '提取魔兽肉' : createRecipesCfg({'魔兽肉' : 1}, 0, null, 1000),
            '提取亚龙肉' : createRecipesCfg({'亚龙肉' : 1}, 0, null, 1000),
            '巫妖学识' : createRecipesCfg({'灵魂碎片' : 1}, 0, null, 1000),
            '灵魂打击' : createRecipesCfg({'灵魂碎片' : 1}),
            '制造命匣' : createRecipesCfg({'灵魂碎片' : 1}),
            '亡灵天灾' : createRecipesCfg({'灵魂碎片' : 1})
        },
        onCreate(){
            data.soul = 0;
        },
        get : '在生命祭坛制造“灵魂标记：巫妖”，使用后解锁，或者亡灵族使用“巫妖生态研究笔记”解锁',
        text : '巫妖可以存着经验不升级，在需要的时候手动点击升级，但是储存经验最多为升级需求经验的10倍。击杀怪物后，恢复怪物最大生命20%的HP。每杀死一个相差10级以内的怪物，会获得1灵魂'
    }),
    '巫妖-魂师' : new Race({
        name : '巫妖-魂师',
        godRace : '巫妖-灵魂主宰',
        skills : {
            '提取肉' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
            '提取魔兽肉' : createRecipesCfg({'魔兽肉' : 1}, 0, null, 1000),
            '提取亚龙肉' : createRecipesCfg({'亚龙肉' : 1}, 0, null, 1000),
            '巫妖学识' : createRecipesCfg({'灵魂碎片' : 1}, 0, null, 1000),
            '灵魂打击' : createRecipesCfg({'灵魂碎片' : 1}),
            '制造命匣' : createRecipesCfg({'灵魂碎片' : 1}),
            '灵魂屠戮' : createRecipesCfg({'灵魂碎片' : 1})
        },
        text : '巫妖一次觉醒种族，保留了击杀怪物恢复生命值的特性，并在操控灵魂毁灭生灵的道路上越走越远。每杀死一个怪物，会获得3灵魂，所杀怪物的等级没有限制'
    }),
    '巫妖-灵魂主宰' : new Race({
        name : '巫妖-灵魂主宰',
        skills : {
            '提取肉' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
            '提取魔兽肉' : createRecipesCfg({'魔兽肉' : 1}, 0, null, 1000),
            '提取亚龙肉' : createRecipesCfg({'亚龙肉' : 1}, 0, null, 1000),
            '巫妖学识' : createRecipesCfg({'灵魂碎片' : 1}, 0, null, 1000),
            '灵魂打击' : createRecipesCfg({'灵魂碎片' : 1}),
            '制造命匣' : createRecipesCfg({'灵魂碎片' : 1}),
            '灵魂屠戮' : createRecipesCfg({'灵魂碎片' : 1}),
            '灵魂爆炸' : createRecipesCfg({'灵魂碎片' : 1}),
        },
        text : '巫妖-魂师二次觉醒种族，可以将控制的灵魂自爆攻击敌人'
    }),
    '巫妖-死神' : new Race({
        name : '巫妖-死神',
        godRace : '巫妖-死亡主宰',
        skills : {
            '提取肉' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
            '提取魔兽肉' : createRecipesCfg({'魔兽肉' : 1}, 0, null, 1000),
            '提取亚龙肉' : createRecipesCfg({'亚龙肉' : 1}, 0, null, 1000),
            '灵魂打击' : createRecipesCfg({'灵魂碎片' : 1}),
            '制造命匣' : createRecipesCfg({'灵魂碎片' : 1}),
            '灵魂收割' : createRecipesCfg({'灵魂碎片' : 1}, 0, null, 1000),
            '灵魂提取' : createRecipesCfg({'魔晶石' : 1})
        },
        text : '巫妖一次觉醒种族，保留了击杀怪物恢复生命值和获得灵魂的特性，同时专精于毁灭敌人的灵魂，使用灵魂打击时，将减少怪物相当于你本身攻击力（计入护甲增加的攻击力，不计入武器增加的攻击力）的最大生命值'
    }),
    '巫妖-死亡主宰' : new Race({
        name : '巫妖-死亡主宰',
        skills : {
            '提取肉' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
            '提取魔兽肉' : createRecipesCfg({'魔兽肉' : 1}, 0, null, 1000),
            '提取亚龙肉' : createRecipesCfg({'亚龙肉' : 1}, 0, null, 1000),
            '灵魂打击' : createRecipesCfg({'灵魂碎片' : 1}),
            '制造命匣' : createRecipesCfg({'灵魂碎片' : 1}),
            '灵魂收割' : createRecipesCfg({'灵魂碎片' : 1}),
            '灵魂提取' : createRecipesCfg({'魔晶石' : 1})
        },
        text : '巫妖-死神二次觉醒种族，在保留死神的特性的同时，在战斗中死亡时，如果拥有超过300灵魂，则消耗300灵魂，恢复100%生命值，攻击力和防御力提高300，每场战斗只能触发一次'
    }),
    '水之神裔' : new Race({
        name : '水之神裔',
        initItems : [{name : '水', num : 20},{name : '水之女神回城卷', num : 10}],
        get : '在水之神殿购买“转生卷轴：水之神裔”，使用后解锁',
        skills : {
            '水疗术' : createRecipesCfg({'水' : 1}, 0, null, 1000),
            '浓缩' : createRecipesCfg({'水' : 1}, 0, null, 1000),
            '花鸟风月' : createRecipesCfg({'水' : 1}, 0, null, 1000),
            '转换' : createRecipesCfg({'水' : 1}, 0, null, 1000),
            '水弹' : createRecipesCfg({'水' : 1}),
            '水甲' : createRecipesCfg({'水' : 1}, 0, null, 1000)
        },
        deity : {
            name : '水之女神',
            godFavor : 2000,
            belief : 2000
        },
        text : '初始获得对水之女神的2000神眷和2000信仰'
    }),
    '水之神裔-水法师' : new Race({
        name : '水之神裔-水法师',
        godRace : '水之神裔-海王',
        skills : {
            '水疗术' : createRecipesCfg({'水' : 1}, 0, null, 1000),
            '浓缩' : createRecipesCfg({'水' : 1}, 0, null, 1000),
            '花鸟风月' : createRecipesCfg({'水' : 1}, 0, null, 1000),
            '转换' : createRecipesCfg({'水' : 1}, 0, null, 1000),
            '水弹' : createRecipesCfg({'水' : 1}),
            '水甲' : createRecipesCfg({'水' : 1}, 0, null, 1000),
            '生生不息' : createRecipesCfg({'水' : 1}, 0, null, 1000),
            '水龙术' : createRecipesCfg({'水' : 1}),
            '源水护盾' : createRecipesCfg({'水' : 1}, 0, null, 1000),
        },
        text : '水之神裔一次觉醒种族，专精于对水的控制和利用'
    }),
    '水之神裔-海王' : new Race({
        name : '水之神裔-海王',
        skills : {
            '水疗术' : createRecipesCfg({'水' : 1}, 0, null, 1000),
            '浓缩' : createRecipesCfg({'水' : 1}, 0, null, 1000),
            '花鸟风月' : createRecipesCfg({'水' : 1}, 0, null, 1000),
            '转换' : createRecipesCfg({'水' : 1}, 0, null, 1000),
            '水弹' : createRecipesCfg({'水' : 1}),
            '水甲' : createRecipesCfg({'水' : 1}, 0, null, 1000),
            '生生不息' : createRecipesCfg({'水' : 1}, 0, null, 1000),
            '水龙术' : createRecipesCfg({'水' : 1}),
            '源水护盾' : createRecipesCfg({'水' : 1}, 0, null, 1000),
            '深海' : createRecipesCfg({'水' : 1}, 0, null, 1000),
        },
        text : '水之神裔-水法师二次觉醒种族，能将敌人拉入深海之中'
    }),
    '水之神裔-冰法师' : new Race({
        name : '水之神裔-冰法师',
        godRace : '水之神裔-冰皇',
        skills : {
            '浓缩' : createRecipesCfg({'水' : 1}, 0, null, 1000),
            '凝水成冰' : createRecipesCfg({'水' : 1}, 0, null, 1000),
            '冰棱柱' : createRecipesCfg({'冰霜结晶' : 1}),
            '寒冰甲' : createRecipesCfg({'冰霜结晶' : 1}, 0, null, 1000),
            '冰封千里' : createRecipesCfg({'冰霜结晶' : 1})
        },
        text : '水之神裔一次觉醒种族，专精于寒冰魔法'
    }),
    '水之神裔-冰皇' : new Race({
        name : '水之神裔-冰皇',
        skills : {
            '浓缩' : createRecipesCfg({'水' : 1}, 0, null, 1000),
            '凝水成冰' : createRecipesCfg({'水' : 1}, 0, null, 1000),
            '冰棱柱' : createRecipesCfg({'冰霜结晶' : 1}),
            '寒冰甲' : createRecipesCfg({'冰霜结晶' : 1}, 0, null, 1000),
            '冰封千里' : createRecipesCfg({'冰霜结晶' : 1}),
            '寒冰锻造' : createRecipesCfg({'冰霜结晶' : 1}),
        },
        text : '水之神裔-冰法师二次觉醒种族，擅长将冰制造成武器'
    }),
    '狩猎神裔' : new Race({
        name : '狩猎神裔',
        initItems : [{name : '技能石：永恒追猎', num : 1},{name : '狩猎之神回城卷', num : 10}],
        skills : {
            '永恒追猎' : createRecipesCfg({'魔晶石' : 10}),
            '荣耀追猎' : createRecipesCfg({'魔晶石' : 10}),
            '狩猎神罚' : createRecipesCfg({'魔晶石' : 1}),
            '神话狙杀' : createRecipesCfg({'魔晶石' : 1}, 0, null, 1000)
        },
        deity : {
            name : '狩猎之神',
            godFavor : 2000,
            belief : 2000
        },
        get : '在狩猎神殿购买“转生卷轴：狩猎神裔”，使用后解锁',
        text : '初始获得对狩猎之神的2000神眷和2000信仰。和非神话怪物战斗时，攻击波动变为1.2倍到1.5倍，和神话怪物战斗时固定为1.5倍攻击'
    }),
    '狩猎神裔-追猎者' : new Race({
        name : '狩猎神裔-追猎者',
        godRace : '狩猎神裔-陷阱大师',
        skills : {
            '永恒追猎' : createRecipesCfg({'魔晶石' : 10}),
            '荣耀追猎' : createRecipesCfg({'魔晶石' : 10}),
            '狩猎神罚' : createRecipesCfg({'魔晶石' : 1}),
            '神话狙杀' : createRecipesCfg({'魔晶石' : 1}, 0, null, 1000),
            '精英巢穴' : createRecipesCfg({'魔晶石' : 1}),
            '传说领地' : createRecipesCfg({'魔晶石' : 1}),
        },
        text : '狩猎神裔一次觉醒种族，拥有了更强的追猎能力，能找到怪物的巢穴进行狩猎'
    }),
    '狩猎神裔-陷阱大师' : new Race({
        name : '狩猎神裔-陷阱大师',
        skills : {
            '永恒追猎' : createRecipesCfg({'魔晶石' : 10}),
            '荣耀追猎' : createRecipesCfg({'魔晶石' : 10}),
            '狩猎神罚' : createRecipesCfg({'魔晶石' : 1}),
            '神话狙杀' : createRecipesCfg({'魔晶石' : 1}, 0, null, 1000),
            '精英巢穴' : createRecipesCfg({'魔晶石' : 1}),
            '传说领地' : createRecipesCfg({'魔晶石' : 1}),
        },
        text : '狩猎神裔-追猎者二次觉醒种族，触发战斗时，怪物生命值变为50%，防御力减少50%，并获得陷阱状态，3回合无法行动'
    }),
    '狩猎神裔-防御大师' : new Race({
        name : '狩猎神裔-防御大师',
        godRace : '狩猎神裔-铠甲神匠',
        skills : {
            '永恒追猎' : createRecipesCfg({'魔晶石' : 10}),
            '荣耀追猎' : createRecipesCfg({'魔晶石' : 10}),
            '狩猎神罚' : createRecipesCfg({'魔晶石' : 1}),
            '神话狙杀' : createRecipesCfg({'魔晶石' : 1}, 0, null, 1000),
        },
        text : '狩猎神裔一次觉醒种族，和神话怪物战斗时，攻击波动固化为最大，擅长防御，武器和护甲提供的防御力提高50%'
    }),
    '狩猎神裔-铠甲神匠' : new Race({
        name : '狩猎神裔-铠甲神匠',
        skills : {
            '永恒追猎' : createRecipesCfg({'魔晶石' : 10}),
            '荣耀追猎' : createRecipesCfg({'魔晶石' : 10}),
            '狩猎神罚' : createRecipesCfg({'魔晶石' : 1}),
            '神话狙杀' : createRecipesCfg({'魔晶石' : 1}, 0, null, 1000),
            '神甲锻造' : createRecipesCfg({'魔晶石' : 1}),
        },
        text : '狩猎神裔-防御大师二次觉醒种族，能用神性结晶制造狩猎神甲，且制造护甲时，必定锻造出极品，但是无法锻造护甲完成欧皇成就'
    }),
    '戏命师' : new Race({
        name : '戏命师',
        initItems : [{name : '技能石：命运剥夺', num : 1000},{name : '命运硬币', num : 10}],
        skills : {
            '探索命运' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
            '命运剥夺' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
            '拨动命运' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
            '命运转盘' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
            '命运回溯' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
            '命运感知' : createRecipesCfg({'命运硬币' : 10}),
            '命运挽歌' : createRecipesCfg({'命运硬币' : 1}),
        },
        get : '任意60级以上的角色，进入游戏时解锁',
        text : '戏命师不能使用普通攻击和武器攻击，但是可以使用技能石攻击（例如重击是允许使用的）。戏命师的存在本身便能影响命运，当戏命师在战斗时，攻击浮动都将从0.8-1.2变为0.5-1.5'
    }),
    '戏命师-厄兆' : new Race({
        name : '戏命师-厄兆',
        godRace : '戏命师-迷雾',
        skills : {
            '探索命运' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
            '命运剥夺' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
            '命运转盘' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
            '命运回溯' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
            '命运挽歌' : createRecipesCfg({'命运硬币' : 1}),
            '命运操控' : createRecipesCfg({'命运硬币' : 1}),
            '恶兆之花' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
            '灾厄化身' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
            '同生共死' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
        },
        text : '戏命师一次觉醒种族，保留了戏命师的特性，并给敌人带来无尽的厄运'
    }),
    '戏命师-迷雾' : new Race({
        name : '戏命师-迷雾',
        skills : {
            '探索命运' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
            '命运剥夺' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
            '命运转盘' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
            '命运回溯' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
            '命运挽歌' : createRecipesCfg({'命运硬币' : 1}),
            '命运操控' : createRecipesCfg({'命运硬币' : 1}),
            '恶兆之花' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
            '灾厄化身' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
            '同生共死' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
            '迷之蝶' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
        },
        text : '戏命师-厄兆二次觉醒种族，命运已被迷雾笼罩，敌人无法看清'
    }),
    '戏命师-强运' : new Race({
        name : '戏命师-强运',
        godRace : '戏命师-黑花',
        skills : {
            '探索命运' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
            '命运剥夺' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
            '命运转盘' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
            '命运回溯' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
            '命运感知' : createRecipesCfg({'命运硬币' : 10}),
            '命运挽歌' : createRecipesCfg({'命运硬币' : 1}),
            '命运之眼' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
            '命运连线' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
        },
        text : '戏命师一次觉醒种族，保留了戏命师的特性，擅长操控幸运'
    }),
    '戏命师-黑花' : new Race({
        name : '戏命师-黑花',
        skills : {
            '探索命运' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
            '命运剥夺' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
            '命运转盘' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
            '命运回溯' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
            '命运感知' : createRecipesCfg({'命运硬币' : 10}),
            '命运挽歌' : createRecipesCfg({'命运硬币' : 1}),
            '命运之眼' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
            '命运连线' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
            '春之歌' : createRecipesCfg({'命运硬币' : 1}, 0, null, 1000),
        },
        text : '戏命师-强运二次觉醒种族，命运之花已经绽放'
    }),
    '机械族' : new Race({
        name : '机械族',
        initItems : [{name : '技能石：超载攻击', num : 1},{name : '机械碎片', num : 10}],
        skills : {
            '超载攻击' : createRecipesCfg({'机械碎片' : 1}),
            '紧急维修' : createRecipesCfg({'机械碎片' : 1}, 0, null, 1000),
            '大维修' : createRecipesCfg({'机械碎片' : 1}, 0, null, 1000),
            '核心制造' : createRecipesCfg({'机械碎片' : 1}, 0, null, 1000),
            '核心拆卸' : createRecipesCfg({'机械碎片' : 1}, 0, null, 1000),
        },
        get : '击败任意怪物都有几率掉落机械碎片和机械核心，背包中准备20个机械碎片，然后使用机械核心解锁',
        text : '机械族自带感应器，有更大概率在怪物身上找到机械碎片或机械核心'
    }),
    '机械族-装甲' : new Race({
        name : '机械族-装甲',
        godRace : '机械族-机械神',
        skills : {
            '紧急维修' : createRecipesCfg({'机械碎片' : 1}, 0, null, 1000),
            '大维修' : createRecipesCfg({'机械碎片' : 1}, 0, null, 1000),
            '核心制造' : createRecipesCfg({'机械碎片' : 1}, 0, null, 1000),
            '核心拆卸' : createRecipesCfg({'机械碎片' : 1}, 0, null, 1000),
            '纳米装甲' : createRecipesCfg({'机械碎片' : 1}, 0, null, 1000),
            '装甲涂层' : createRecipesCfg({'机械碎片' : 1}, 0, null, 1000),
        },
        text : '机械族一次觉醒种族，叠最厚的甲，挨最毒的打'
    }),
    '机械族-机械神' : new Race({
        name : '机械族-机械神',
        skills : {
            '紧急维修' : createRecipesCfg({'机械碎片' : 1}, 0, null, 1000),
            '大维修' : createRecipesCfg({'机械碎片' : 1}, 0, null, 1000),
            '核心制造' : createRecipesCfg({'机械碎片' : 1}, 0, null, 1000),
            '核心拆卸' : createRecipesCfg({'机械碎片' : 1}, 0, null, 1000),
            '纳米装甲' : createRecipesCfg({'机械碎片' : 1}, 0, null, 1000),
            '装甲涂层' : createRecipesCfg({'机械碎片' : 1}, 0, null, 1000),
            '机械神降' : createRecipesCfg({'机械碎片' : 1}, 0, null, 1000),
        },
        text : '机械族-装甲二次觉醒种族，已经机械飞升'
    }),
    '机械族-战斗' : new Race({
        name : '机械族-战斗',
        godRace : '机械族-补全机',
        skills : {
            '超载攻击' : createRecipesCfg({'机械碎片' : 1}),
            '大维修' : createRecipesCfg({'机械碎片' : 1}, 0, null, 1000),
            '核心制造' : createRecipesCfg({'机械碎片' : 1}, 0, null, 1000),
            '核心拆卸' : createRecipesCfg({'机械碎片' : 1}, 0, null, 1000),
            'AT立场' : createRecipesCfg({'机械碎片' : 1}, 0, null, 1000),
            '暴走' : createRecipesCfg({'机械碎片' : 1}, 0, null, 1000),
        },
        text : '机械族一次觉醒种族，未知型号'
    }),
    '机械族-补全机' : new Race({
        name : '机械族-补全机',
        skills : {
            '超载攻击' : createRecipesCfg({'机械碎片' : 1}),
            '大维修' : createRecipesCfg({'机械碎片' : 1}, 0, null, 1000),
            '核心制造' : createRecipesCfg({'机械碎片' : 1}, 0, null, 1000),
            '核心拆卸' : createRecipesCfg({'机械碎片' : 1}, 0, null, 1000),
            'AT立场' : createRecipesCfg({'机械碎片' : 1}, 0, null, 1000),
            '暴走' : createRecipesCfg({'机械碎片' : 1}, 0, null, 1000),
            '歼星' : createRecipesCfg({'机械碎片' : 1}),
        },
        text : '机械族-战斗二次觉醒种族，完成人类补全计划的机体'
    }),
    '影魔' : new Race({
        name : '影魔',
        initItems : [{name : '技能石：恶魔变身', num : 1000}],
        skills : {
            '恶魔变身' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
        },
        getLevelUpExp(){
            if(!data.useEmbs){
                data.useEmbs = 0;
            }
            return data.level * data.level * (10 + data.useEmbs);
        },
        get : '击败深渊怪物有几率掉落“影魔传说”，使用后解锁',
        text : '触发战斗时，如果是在夜晚，影魔的攻击力和防御力提高20%，并在开始战斗时给对手附加难以观察状态，减少20%命中率，该状态不会自动消失。但是在白天，攻击力和防御力降低20%'
    }),
    '影魔-暗影工匠' : new Race({
        name : '影魔-暗影工匠',
        godRace : '影魔-暗影神匠',
        getLevelUpExp(){
            if(!data.useEmbs){
                data.useEmbs = 0;
            }
            return data.level * data.level * (10 + data.useEmbs);
        },
        skills : {
            '恶魔变身' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
            '暗影附加' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
            '暗影锻造' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
        },
        text : '影魔一次觉醒种族，能使用暗影之力锻造装备'
    }),
    '影魔-暗影神匠' : new Race({
        name : '影魔-暗影神匠',
        attrPoint : 2,
        getLevelUpExp(){
            if(!data.useEmbs){
                data.useEmbs = 0;
            }
            return data.level * data.level * (10 + data.useEmbs);
        },
        skills : {
            '恶魔变身' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
            '暗影附加' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
            '暗影锻造' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
            '暗影神器' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
        },
        text : '影魔-暗影工匠二次觉醒种族，能使用暗影之力锻造神器'
    }),
    '影魔-暗影生物' : new Race({
        name : '影魔-暗影生物',
        attrPoint : 2,
        godRace : '影魔-虚空大君',
        getLevelUpExp(){
            if(!data.useEmbs){
                data.useEmbs = 0;
            }
            return data.level * data.level * (10 + data.useEmbs);
        },
        skills : {
            '恶魔变身' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
            '暗影融合' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
        },
        text : '影魔一次觉醒种族，在黑夜中几乎拥有不死之身'
    }),
    '影魔-虚空大君' : new Race({
        name : '影魔-虚空大君',
        attrPoint : 2,
        getLevelUpExp(){
            if(!data.useEmbs){
                data.useEmbs = 0;
            }
            return data.level * data.level * (10 + data.useEmbs);
        },
        skills : {
            '恶魔变身' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
            '暗影融合' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
            '虚空低语' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
        },
        text : '影魔-暗影生物二次觉醒种族，虚空无处不在'
    }),
    '蜥蜴人' : new Race({
        name : '蜥蜴人',
        initItems : [{name : '肉', num : 10},{name : '水', num : 10}],
        skills : {
            '先祖附魔' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
        },
        get : '当一个2周目或以上的角色进入游戏时，将自动解锁',
        text : '蜥蜴人天生警觉，被怪物偷袭时也不会失去先手权，且可以选择立刻逃跑。蜥蜴人无法穿戴武器、护甲和背包，但是可以使用武器和护甲给自己的利爪和鳞片附魔，附魔只生效1次，新的附魔会覆盖原本的附魔，利爪和鳞片的附魔分开计算'
    }),
    '蜥蜴人-先祖战士' : new Race({
        name : '蜥蜴人-先祖战士',
        godRace : '蜥蜴人-卡格拉玛',
        skills : {
            '先祖附魔' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
            '先祖狂暴' : createRecipesCfg({'魔晶石' : 20,'神性结晶' : 1}, 0),
        },
        text : '蜥蜴人一次觉醒种族，能进一步激发先祖之力'
    }),
    '蜥蜴人-卡格拉玛' : new Race({
        name : '蜥蜴人-卡格拉玛',
        skills : {
            '先祖附魔' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
            '先祖狂暴' : createRecipesCfg({'魔晶石' : 20,'神性结晶' : 1}, 0),
        },
        text : '蜥蜴人二次觉醒种族，卡格拉玛是蜥蜴人最强战士独有的称号，可以将武器附魔在鳞片上'
    }),
    '蜥蜴人-巫医' : new Race({
        name : '蜥蜴人-巫医',
        godRace : '蜥蜴人-巫祖',
        skills : {
            '先祖附魔' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
            '制造传承药剂' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
        },
        text : '蜥蜴人一次觉醒种族，擅长制造药物'
    }),
    '蜥蜴人-巫祖' : new Race({
        name : '蜥蜴人-巫祖',
        skills : {
            '先祖附魔' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
            '制造传承药剂' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
            '幽灵虫' : createRecipesCfg({'肉' : 1}, 0),
        },
        text : '蜥蜴人二次觉醒种族，掌握了蜥蜴人独有的黑魔法'
    }),
    '吸血鬼' : new Race({
        name : '吸血鬼',
        noHunger :true,
        initItems : [{name : '草药膏', num : 10},{name : '微效治疗药剂', num : 10}],
        skills : {},
        onCreate(){
            data.suck = 200;
        },
        get : '在战斗中攻击时，触发200%的吸血时解锁',
        text : '吸血鬼天生自带200%吸血，并且吸血不会降低生命上限'
    }),
    '吸血鬼-刀锋战士' : new Race({
        name : '吸血鬼-刀锋战士',
        noHunger : true,
        attrPoint : 2,
        godRace : '吸血鬼-收割者',
        skills : {
            '抽取血液' : createRecipesCfg({'异化血液' : 1}, 0, null, 1000),
        },
        text : '吸血鬼一次觉醒种族，能从血液中获取力量'
    }),
    '吸血鬼-收割者' : new Race({
        name : '吸血鬼-收割者',
        noHunger : true,
        attrPoint : 2,
        skills : {
            '抽取血液' : createRecipesCfg({'异化血液' : 1}, 0, null, 1000),
        },
        text : '吸血鬼二次觉醒种族，战斗中不再有血液的饮用次数限制，但是从第二次开始，每次饮用只能获得血液中20%的攻防加成'
    }),
    '吸血鬼-伯爵' : new Race({
        name : '吸血鬼-伯爵',
        noHunger : true,
        attrPoint : 2,
        skills : {},
        godRace : '吸血鬼-亲王',
        text : '吸血鬼一次觉醒种族，自带的吸血提升至800%',
        onToRace(){
            data.suck += 600;
        }
    }),
    '吸血鬼-亲王' : new Race({
        name : '吸血鬼-亲王',
        noHunger : true,
        attrPoint : 2,
        skills : {},
        text : '吸血鬼二次觉醒种族，自带的吸血提升至1200%',
        onToRace(){
            data.suck += 400;
        }
    }),
    '地球人' : new Race({
        name : '地球人',
        get : '使用回城卷轴(就叫回城卷轴，不是水之女神回城卷和狩猎之神回城卷)时，有5%几率遭遇时空乱流，导致回城失败，遇到时空乱流时将解锁地球人',
        text : '地球人无法装备武器。使用投掷品时，造成的直接伤害翻倍'
    }),
    '地球人-佛门' : new Race({
        name : '地球人-佛门',
        godRace : '-1',
        onToRace(){
            data.merit = 0;
            data.karma = 0;
        },
        skills : {
            '超度' : createRecipesCfg({'神性结晶' : 1}, 0, null, 1000),
            '无量法相' : createRecipesCfg({'神性结晶' : 1}, 0, null, 1000),
            '功德无量' : createRecipesCfg({'神性结晶' : 1}, 0, null, 1000),
            '功德圆满' : createRecipesCfg({'神性结晶' : 1}),
            '轮回' : createRecipesCfg({'神性结晶' : 1}),
        },
        text : '地球人一次觉醒种族，超度怪物会获得功德，击杀任何怪物都会减少1功德，自身技能的效果和功德有关。该种族无法使用神灵之力，只能通过功德圆满技能转换种族'
    }),
    '地球人-活佛' : new Race({
        name : '地球人-活佛',
        skills : {
            '超度' : createRecipesCfg({'神性结晶' : 1}, 0, null, 1000),
            '无量法相' : createRecipesCfg({'神性结晶' : 1}, 0, null, 1000),
            '功德无量' : createRecipesCfg({'神性结晶' : 1}, 0, null, 1000),
            '轮回' : createRecipesCfg({'神性结晶' : 1}),
        },
        text : '地球人-佛门功德圆满后转为该种族。在洗点时，每拥有1点善业，额外增加1点攻击和1点防御，本次洗点增加的攻防下次洗点会消失，然后重新根据当前的善业获得额外攻防'
    }),
    '地球人-蜀山' : new Race({
        name : '地球人-蜀山',
        godRace : '地球人-酒剑仙',
        recipes : {
            '天剑' : createRecipesCfg({'神性结晶' : 10, '铁锭' : 100, '璀璨的红宝石' : 5, '变异核心' : 10000, '虚空粉尘' : 20000}),
            '雷剑' : createRecipesCfg({'神性结晶' : 10, '铁锭' : 100, '璀璨的紫宝石' : 5, '变异核心' : 10000, '虚空粉尘' : 20000}),
            '昊天镜' : createRecipesCfg({'神性结晶' : 10, '铜锭' : 100, '璀璨的黄宝石' : 5, '变异核心' : 10000, '虚空粉尘' : 20000}),
            '日金轮' : createRecipesCfg({'神性结晶' : 10, '金锭' : 100, '璀璨的绿宝石' : 5, '变异核心' : 10000, '虚空粉尘' : 20000}),
            '月金轮' : createRecipesCfg({'神性结晶' : 10, '金锭' : 100, '璀璨的紫宝石' : 5, '变异核心' : 10000, '虚空粉尘' : 20000}),
        },
        skills : {
            '天剑' : createRecipesCfg({'神性结晶' : 1}),
            '雷剑' : createRecipesCfg({'神性结晶' : 1}),
            '天雷合并' : createRecipesCfg({'神性结晶' : 1}),
            '昊天镜' : createRecipesCfg({'神性结晶' : 1}, 0, null, 1000),
            '日金轮' : createRecipesCfg({'神性结晶' : 1}, 0, null, 1000),
            '月金轮' : createRecipesCfg({'神性结晶' : 1}, 0, null, 1000),
        },
        text : '地球人一次觉醒种族，可以在工作台制造飞剑和法器'
    }),
    '地球人-酒剑仙' : new Race({
        name : '地球人-酒剑仙',
        recipes : {
            '天剑' : createRecipesCfg({'神性结晶' : 10, '铁锭' : 100, '璀璨的红宝石' : 5, '变异核心' : 10000, '虚空粉尘' : 20000}),
            '雷剑' : createRecipesCfg({'神性结晶' : 10, '铁锭' : 100, '璀璨的紫宝石' : 5, '变异核心' : 10000, '虚空粉尘' : 20000}),
            '昊天镜' : createRecipesCfg({'神性结晶' : 10, '铜锭' : 100, '璀璨的黄宝石' : 5, '变异核心' : 10000, '虚空粉尘' : 20000}),
            '日金轮' : createRecipesCfg({'神性结晶' : 10, '金锭' : 100, '璀璨的绿宝石' : 5, '变异核心' : 10000, '虚空粉尘' : 20000}),
            '月金轮' : createRecipesCfg({'神性结晶' : 10, '金锭' : 100, '璀璨的紫宝石' : 5, '变异核心' : 10000, '虚空粉尘' : 20000}),
            '青果酿' : createRecipesCfg({'神性结晶' : 10, '芦苇' : 100, '浆果' : 100}),
            '女儿红' : createRecipesCfg({'神性结晶' : 10, '芦苇' : 100, '神性液体' : 10}),
            '竹叶青' : createRecipesCfg({'神性结晶' : 10, '芦苇' : 100, '龙血' : 10}),
            '醉红尘' : createRecipesCfg({'神性结晶' : 100, '芦苇' : 100, '五彩石' : 1}),
        },
        skills : {
            '天剑' : createRecipesCfg({'神性结晶' : 1}),
            '雷剑' : createRecipesCfg({'神性结晶' : 1}),
            '天雷合并' : createRecipesCfg({'神性结晶' : 1}),
            '昊天镜' : createRecipesCfg({'神性结晶' : 1}, 0, null, 1000),
            '日金轮' : createRecipesCfg({'神性结晶' : 1}, 0, null, 1000),
            '月金轮' : createRecipesCfg({'神性结晶' : 1}, 0, null, 1000),
        },
        text : '地球人-蜀山二次觉醒种族，可以通过喝酒来加强自身。青红揽明月，竹叶破苍天。醉笑红尘客，唯我酒剑仙。'
    }),
    '食人魔' : new Race({
        name : '食人魔',
        initItems : [{name : '肉', num : 10}, {name : '烤肉', num : 10}],
        skills : {
            '掠食' : createRecipesCfg({'肉' : 1}),
            '狂暴' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
            '自食' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
        },
        get : '吃掉100个哥布林之心',
        text : '食人魔只吃肉类食物（不会增加饥饿值的食物不受限制），且消耗饥饿值的速度翻倍'
    }),
    '食人魔-暴食' : new Race({
        name : '食人魔-暴食',
        godRace : '食人魔-暴君',
        skills : {
            '掠食' : createRecipesCfg({'肉' : 1}),
            '狂暴' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
            '自食' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
            '无尽暴食' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
        },
        text : '食人魔一次觉醒种族，当战斗对象会掉落肉类食物时，掠食伤害翻倍'
    }),
    '食人魔-暴君' : new Race({
        name : '食人魔-暴君',
        skills : {
            '掠食' : createRecipesCfg({'肉' : 1}),
            '狂暴' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
            '自食' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
            '无尽暴食' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
            '铁血' : createRecipesCfg({'肉' : 1}, 0, null, 1000),
        },
        text : '食人魔-暴食二次觉醒种族，可以进入铁血状态，吸血翻倍'
    }),
    '食人魔-双头法师' : new Race({
        name : '食人魔-双头法师',
        godRace : '食人魔-血法师',
        skills : {
            '爆轰术' : createRecipesCfg({'肉' : 1}),
        },
        text : '食人魔一次觉醒种族，食人魔法师拥有超长的智慧，可以压制内心的饥饿和狂躁，双头食人魔更是绝佳的施法天才，拥有双重施法的能力'
    }),
    '食人魔-血法师' : new Race({
        name : '食人魔-血法师',
        skills : {
            '爆轰术' : createRecipesCfg({'肉' : 1}),
        },
        text : '食人魔-双头法师二次觉醒种族，使用爆轰术时，减少怪物相当于爆轰术攻击力（指的是技能石上面显示的攻击力）五分之一的血量上限'
    }),
    '操脑蛛' : new Race({
        name : '操脑蛛',
        getNoHunger(){
            return !!data.control;
        },
        //控制怪物
        control(){
            const monster = data.control;
            data.maxHp += monster.hp;
            data.hp += monster.hp;
            data.atk = monster.atk;
            data.def = monster.def;
            data.suck = monster.suck || 0;
            data.hunger = data.maxHunger = 0;
            data.water = data.maxWater = 0;
        },
        initItems : [{name : '蜘蛛丝', num : 10}, {name : '草药膏', num : 10}],
        skills : {
            '解除操纵' : createRecipesCfg({'蜘蛛丝' : 1}, 0, null, 1000),
            '精神狂暴' : createRecipesCfg({'蜘蛛丝' : 1}, 0, null, 1000),
            '怪物强化' : createRecipesCfg({'蜘蛛丝' : 1}, 0, null, 1000),
        },
        get : '连续5次吃观音土没有减少生命值上限则解锁该种族',
        text : '该种族无法觉醒（即无法一二转）。十分微小的生物，难以被察觉，所以在没有操纵怪物的情况下，不会被其他怪物主动攻击。操脑蛛任何情况下都无法穿戴装备。未操纵怪物时无法穿戴背包，但是自身的负重属于灵魂空间，不受影响，点击怪物的操作改为操纵该怪物，只能操纵等级不高于自己的怪物，只能操纵普通怪物，不能操纵精英/传说/神话怪物，也不能操纵副本中的怪物，操纵怪物时可能会发现操纵的怪物变异了，获得的属性也是变异后的属性。操纵怪物时会降低怪物对应的等级，但是等级至少会有1级（例如你5级，操控狼，操控后-3级，变为2级。你10级，操控狮鹫，-10级，但是至少保留1级，所以变为1级）。无法使用被操纵怪物的技能。操纵怪物后，攻击、防御、吸血属性变为怪物对应的属性，血量在自身基础上增加怪物的血量，可以正常穿背包，战斗时你的名字变为该怪物的名字。你操纵的怪物死亡时，你会跟着一起死亡。你可以主动解除操纵怪物，此时你的属性会变为自己的属性，并自动脱下背包和坐骑，当你重新操纵一个怪物时，如果你之前自动脱下的背包和坐骑还在背包，则会自动穿上。当你未操纵怪物时，属于有饥饿种族，饥饿和水分不够时百分比扣血。当你操纵怪物时，饥饿和水分变为0，且变为无饥饿种族，不再百分比扣血，但是会固定扣血，和其他无饥饿种族一样。'
    }),
    '污染者' : new Race({
        name : '污染者',
        initItems : [{name : '技能石：自我扭曲', num : 1000}],
        skills : {
            '自我扭曲' : createRecipesCfg({'纤维' : 1}, 0, null, 1000),
            '无智狂暴' : createRecipesCfg({'纤维' : 1}, 0, null, 1000),
        },
        onCreate(){
            if(data.maxSan > 80){
                data.maxSan = 80;
                addObjSan(data, 0)
            }
        },
        get : '使用100个古神血液解锁',
        text : '该种族无法觉醒（即无法一二转）。被古神的力量污染产生的生物，自带20点克苏鲁学识。污染者永远处于半疯状态，所以不会在战斗中因为理智原因陷入疯狂。污染者的理智最低为1点，任何扣理智的操作都不会导致理智低于1点，但是如果污染者的理智上限降低到0或0以下，依旧会陷入永恒的疯狂导致删档。每15分钟，污染者自动恢复1点理智。'
    }),
    '星灵' : new Race({
        name : '星灵',
        initItems : [{name : '时空碎片', num : 100}],
        skills : {
            '时间穿梭' : createRecipesCfg({'时空碎片' : 1}, 0, null, 1000),
        },
        get : '击杀一次创世神获得，不需要战斗胜利，只要将创世神血量打光，触发一次创世神的复活即可。',
        text : '可以无限制在可见地图传送，相当于有无限个小型传送阵。点击小地图移动时无视负重，大地图上点击选中某一格时（即出现蓝色边框），再次点击这一格直接传送，不需要点传送按钮。可以加速时间流逝，任意流逝时间，即你可以直接穿梭到100年后。无法完成十年生死两茫茫成就。本身是无饥饿种族，同时不受时间流逝影响，即永不消耗饥饿水分，所以不会随时间流逝掉血。逃跑固定100%成功率，任何战斗场景下都可以逃跑。不喜欢战斗，攻击浮动为70%~80%'
    }),
    '星灵-空间行者' : new Race({
        name : '星灵-空间行者',
        godRace : '星灵-宇',
        skills : {
            '时间穿梭' : createRecipesCfg({'时空碎片' : 1}, 0, null, 1000),
        },
        text : '星灵一次觉醒种族，使用传送门时不需要消耗时空粉尘和时空碎片'
    }),
    '星灵-宇' : new Race({
        name : '星灵-宇',
        skills : {
            '时间穿梭' : createRecipesCfg({'时空碎片' : 1}, 0, null, 1000),
        },
        text : '星灵-空间行者二次觉醒种族，可以直接从空间中拿取材料，锻造装备不需要消耗材料'
    }),
    '星灵-时间旅者' : new Race({
        name : '星灵-时间旅者',
        godRace : '星灵-宙',
        skills : {
            '时间穿梭' : createRecipesCfg({'时空碎片' : 1}, 0, null, 1000),
        },
        text : '星灵一次觉醒种族，一件装备无论锤炼过多少次，锤炼时都只需要消耗1个神圣重锤，且武器和护甲不会因战斗而减少耐久度'
    }),
    '星灵-宙' : new Race({
        name : '星灵-宙',
        skills : {
            '时间穿梭' : createRecipesCfg({'时空碎片' : 1}, 0, null, 1000),
        },
        text : '星灵-时间旅者二次觉醒种族，附魔时不需要消耗变异核心'
    }),
    '精灵' : new Race({
        name : '精灵',
        initItems : [{name : '技能石：木箭', num : 5}, {name : '弓胚', num : 1}, {name : '技能石：自然附着', num : 1000}, {name : '石矛', num : 1}],
        recipes : {
            '弓胚' : createRecipesCfg({'木材' : 5, '纤维' : 10}),
            '弓胚：猎人' : createRecipesCfg({'铜锭' : 5, '兽皮' : 10, '蜘蛛丝' : 5}),
            '弓胚：灵魂' : createRecipesCfg({'木材' : 5, '哥布林魔晶' : 3, '灵魂残片' : 10, '蜘蛛丝' : 5, '闪耀的皮' : 10}),
            '弓胚：巨人杀手-1' : createRecipesCfg({'铁锭' : 10, '幽灵蛛丝' : 10, '疯狂之血' : 5, '神性紫晶' : 3}),
            '弓胚：巨人杀手-2' : createRecipesCfg({'铁锭' : 10, '石化巨爪' : 10, '石巨人之眼' : 5, '石化重瞳' : 3}),
        },
        skills : {
            '自然附着' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '木箭' : createRecipesCfg({'木材' : 3, 纤维 : 5}),
            '魔法箭' : createRecipesCfg({'木材' : 5, 蜘蛛丝 : 5, 魔晶石 : 2, 羽毛 : 10}),
            '火焰箭' : createRecipesCfg({'木材' : 5, 蜘蛛丝 : 10, 红水晶 : 10, 羽毛 : 10}),
        },
        get : '采集（包括扫荡）1000个浆果丛(采集五次直到浆果丛消失算采集了1个)获得，在系统-游戏数据统计里可以看到采集了多少个浆果丛',
        text : '可以制造弓箭，并用弓箭进行攻击'
    }),
    '精灵-游侠' : new Race({
        name : '精灵-游侠',
        godRace : '精灵-游侠将军',
        recipes : {
            '弓胚' : createRecipesCfg({'木材' : 5, '纤维' : 10}),
            '弓胚：猎人' : createRecipesCfg({'铜锭' : 5, '兽皮' : 10, '蜘蛛丝' : 5}),
            '弓胚：灵魂' : createRecipesCfg({'木材' : 5, '哥布林魔晶' : 3, '灵魂残片' : 10, '蜘蛛丝' : 5, '闪耀的皮' : 10}),
            '弓胚：巨人杀手-1' : createRecipesCfg({'铁锭' : 10, '幽灵蛛丝' : 10, '疯狂之血' : 5, '神性紫晶' : 3}),
            '弓胚：巨人杀手-2' : createRecipesCfg({'铁锭' : 10, '石化巨爪' : 10, '石巨人之眼' : 5, '石化重瞳' : 3}),
            '弓胚：游侠' : createRecipesCfg({'木材' : 10, '幽灵蛛丝' : 10, '精密骨骼' : 20, '魔法宝石' : 20}),
            '弓胚：屠龙者' : createRecipesCfg({'铁锭' : 10, '幽灵蛛丝' : 20, '龙皮' : 10, '龙鳞' : 10, '龙晶' : 3}),
        },
        skills : {
            '自然附着' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '木箭' : createRecipesCfg({'木材' : 3, 纤维 : 5}),
            '魔法箭' : createRecipesCfg({'木材' : 5, 蜘蛛丝 : 5, 魔晶石 : 2, 羽毛 : 10}),
            '火焰箭' : createRecipesCfg({'木材' : 5, 蜘蛛丝 : 10, 红水晶 : 10, 羽毛 : 10}),
            '腐蚀箭' : createRecipesCfg({'木材' : 5, 强酸粘液 : 20, 尸水 : 10, 异化血液 : 20, 血族翅膀 : 10}),
            '穿甲箭-1' : createRecipesCfg({'铁锭' : 5, 大地之牙 : 10, 紫晶 : 10, 疾风鹰羽 : 10}),
            '穿甲箭-2' : createRecipesCfg({'铁锭' : 5, 石化大喙 : 10, 黄水晶 : 2, 石化大羽 : 10}),
            '爆裂箭' : createRecipesCfg({'附魔箭矢' : 5, 元素印记 : 10, 飓风魔核 : 10, 女妖翅膀 : 10}),
        },
        text : '精灵一次觉醒种族，掌握了更多的弓箭制造方法'
    }),
    '精灵-游侠将军' : new Race({
        name : '精灵-游侠将军',
        recipes : {
            '弓胚' : createRecipesCfg({'木材' : 5, '纤维' : 10}),
            '弓胚：猎人' : createRecipesCfg({'铜锭' : 5, '兽皮' : 10, '蜘蛛丝' : 5}),
            '弓胚：灵魂' : createRecipesCfg({'木材' : 5, '哥布林魔晶' : 3, '灵魂残片' : 10, '蜘蛛丝' : 5, '闪耀的皮' : 10}),
            '弓胚：巨人杀手-1' : createRecipesCfg({'铁锭' : 10, '幽灵蛛丝' : 10, '疯狂之血' : 5, '神性紫晶' : 3}),
            '弓胚：巨人杀手-2' : createRecipesCfg({'铁锭' : 10, '石化巨爪' : 10, '石巨人之眼' : 5, '石化重瞳' : 3}),
            '弓胚：游侠' : createRecipesCfg({'木材' : 10, '幽灵蛛丝' : 10, '精密骨骼' : 20, '魔法宝石' : 20}),
            '弓胚：屠龙者' : createRecipesCfg({'铁锭' : 10, '幽灵蛛丝' : 20, '龙皮' : 10, '龙鳞' : 10, '龙晶' : 3}),
        },
        skills : {
            '自然附着' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '木箭' : createRecipesCfg({'木材' : 3, 纤维 : 5}),
            '魔法箭' : createRecipesCfg({'木材' : 5, 蜘蛛丝 : 5, 魔晶石 : 2, 羽毛 : 10}),
            '火焰箭' : createRecipesCfg({'木材' : 5, 蜘蛛丝 : 10, 红水晶 : 10, 羽毛 : 10}),
            '腐蚀箭' : createRecipesCfg({'木材' : 5, 强酸粘液 : 20, 尸水 : 10, 异化血液 : 20, 血族翅膀 : 10}),
            '穿甲箭-1' : createRecipesCfg({'铁锭' : 5, 大地之牙 : 10, 紫晶 : 10, 疾风鹰羽 : 10}),
            '穿甲箭-2' : createRecipesCfg({'铁锭' : 5, 石化大喙 : 10, 黄水晶 : 2, 石化大羽 : 10}),
            '爆裂箭' : createRecipesCfg({'附魔箭矢' : 5, 元素印记 : 10, 飓风魔核 : 10, 女妖翅膀 : 10}),
        },
        text : '精灵-游侠二次觉醒种族，所有箭矢都会额外触发一次伤害'
    }),
    '精灵-德鲁伊' : new Race({
        name : '精灵-德鲁伊',
        godRace : '精灵-荒野半神',
        recipes : {
            '弓胚' : createRecipesCfg({'木材' : 5, '纤维' : 10}),
            '弓胚：猎人' : createRecipesCfg({'铜锭' : 5, '兽皮' : 10, '蜘蛛丝' : 5}),
            '弓胚：灵魂' : createRecipesCfg({'木材' : 5, '哥布林魔晶' : 3, '灵魂残片' : 10, '蜘蛛丝' : 5, '闪耀的皮' : 10}),
            '弓胚：巨人杀手-1' : createRecipesCfg({'铁锭' : 10, '幽灵蛛丝' : 10, '疯狂之血' : 5, '神性紫晶' : 3}),
            '弓胚：巨人杀手-2' : createRecipesCfg({'铁锭' : 10, '石化巨爪' : 10, '石巨人之眼' : 5, '石化重瞳' : 3}),
        },
        skills : {
            '自然附着' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '木箭' : createRecipesCfg({'木材' : 3, 纤维 : 5}),
            '魔法箭' : createRecipesCfg({'木材' : 5, 蜘蛛丝 : 5, 魔晶石 : 2, 羽毛 : 10}),
            '火焰箭' : createRecipesCfg({'木材' : 5, 蜘蛛丝 : 10, 纯净水晶 : 10, 羽毛 : 10}),
            '变身巨熊' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '变身猎豹' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '撼地击' : createRecipesCfg({纤维 : 1}),
            '双爪撕裂' : createRecipesCfg({纤维 : 1}),
        },
        text : '精灵一次觉醒种族，可以变身为动物形态'
    }),
    '精灵-荒野半神' : new Race({
        name : '精灵-荒野半神',
        recipes : {
            '弓胚' : createRecipesCfg({'木材' : 5, '纤维' : 10}),
            '弓胚：猎人' : createRecipesCfg({'铜锭' : 5, '兽皮' : 10, '蜘蛛丝' : 5}),
            '弓胚：灵魂' : createRecipesCfg({'木材' : 5, '哥布林魔晶' : 3, '灵魂残片' : 10, '蜘蛛丝' : 5, '闪耀的皮' : 10}),
            '弓胚：巨人杀手-1' : createRecipesCfg({'铁锭' : 10, '幽灵蛛丝' : 10, '疯狂之血' : 5, '神性紫晶' : 3}),
            '弓胚：巨人杀手-2' : createRecipesCfg({'铁锭' : 10, '石化巨爪' : 10, '石巨人之眼' : 5, '石化重瞳' : 3}),
        },
        skills : {
            '自然附着' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '木箭' : createRecipesCfg({'木材' : 3, 纤维 : 5}),
            '魔法箭' : createRecipesCfg({'木材' : 5, 蜘蛛丝 : 5, 魔晶石 : 2, 羽毛 : 10}),
            '火焰箭' : createRecipesCfg({'木材' : 5, 蜘蛛丝 : 10, 红水晶 : 10, 羽毛 : 10}),
            '变身巨熊' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '变身猎豹' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '大地之熊' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '幻影猎豹' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '撼地击' : createRecipesCfg({纤维 : 1}),
            '双爪撕裂' : createRecipesCfg({纤维 : 1}),
        },
        text : '精灵-德鲁伊二次觉醒种族，掌握了更强大的能力'
    }),
    '半人马' : new Race({
        name : '半人马',
        skills : {
            '冲锋' : createRecipesCfg({纤维 : 1}),
        },
        onCreate(){
            data.spd = 500;
        },
        get : '速度加成达到50%后，触发时间流逝（例如跑图，探索，采集，睡觉，打怪）即解锁',
        text : '初始拥有500%的速度加成'
    }),
    '半人马-轻骑兵' : new Race({
        name : '半人马-轻骑兵',
        godRace : '半人马-白马义从',
        skills : {
            '冲锋' : createRecipesCfg({纤维 : 1}),
        },
        text : '半人马一次觉醒种族，使用冲锋时有概率造成两次伤害。速度加成在1%~99%时几率为20%；速度加成在100%~199%时几率为40%；速度大于等于200%时几率为60%'
    }),
    '半人马-白马义从' : new Race({
        name : '半人马-白马义从',
        skills : {
            '冲锋' : createRecipesCfg({纤维 : 1}),
            '神速' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '解除神速' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
        },
        text : '半人马-轻骑兵二次觉醒种族，可以将速度提高到极致'
    }),
    '半人马-重骑兵' : new Race({
        name : '半人马-重骑兵',
        godRace : '半人马-西凉铁骑',
        skills : {
            '冲锋' : createRecipesCfg({纤维 : 1}),
            '提速' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
        },
        onToRace(){
            data.spd -= 5;
        },
        text : '半人马一次觉醒种族，扣除5%速度加成，即和别的种族相比不再有额外的速度加成。使用冲锋时，防御也会提供加成。速度加成在1%~99%时，每2点防御提高1点伤害；速度加成在100%~199%时，每1点防御提高1点伤害；速度大于等于200%时，每1点防御提高2点伤害'
    }),
    '半人马-西凉铁骑' : new Race({
        name : '半人马-西凉铁骑',
        skills : {
            '冲锋' : createRecipesCfg({纤维 : 1}),
            '提速' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
        },
        text : '半人马-重骑兵二次觉醒种族，冲锋的防御加成固定为3倍，且无视防御'
    }),
    '地精' : new Race({
        name : '地精',
        get : '钓鱼时，如果没钓到鱼，则有1%几率获得“潮湿的爆炸物”，使用后解锁地精种族',
        recipes : {
            '硫磺-1' : createRecipesCfg({'铜矿' : 1}, 1, '熔炉'),
            '硫磺-2' : createRecipesCfg({'铁矿' : 1}, 1, '熔炉'),
            '硫磺-3' : createRecipesCfg({'金矿' : 1}, 1, '熔炉'),
            '硝酸钾' : createRecipesCfg({'纤维' : 10, '木材' : 1}, 1, '熔炉'),
            '木炭' : createRecipesCfg({'木材' : 1}, 1, '熔炉'),
            '黑火药' : createRecipesCfg({'硝酸钾' : 15, '木炭' : 3, '硫磺' : 2}, 1, null, 20),
            '强化黑火药-1' : createRecipesCfg({'黑火药' : 3, '魔力水晶' : 1}, 1),
            '强化黑火药-2' : createRecipesCfg({'黑火药' : 3, '魔力水晶' : 1}, 1),
            '劣质炸药' : createRecipesCfg({'黑火药' : 3, '石头' : 2, '兽皮' : 1, '纤维' : 2}, 1),
            '魔晶炸药' : createRecipesCfg({'黑火药' : 10, '魔晶石' : 5, '兽皮' : 1, '纤维' : 2}, 1),
            '骨刺炸药-1' : createRecipesCfg({'强化黑火药' : 5, '骨刺' : 10, '大地之皮' : 2, '幽灵蛛丝' : 4}, 1),
            '骨刺炸药-2' : createRecipesCfg({'强化黑火药' : 5, '蜈蚣节肢' : 10, '鳄鱼皮' : 2, '水纹毒丝' : 4}, 1),
        },
        skills : {
            '埋雷' : createRecipesCfg({木炭 : 1}, 0, null, 1000),
            '引诱' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
        },
        text : '地精可以在熔炉中制造硫磺、木炭和硝酸钾，然后用于在工作台合成黑火药，并在工作台制造地精科技物品。同时，各大财团都不欢迎地精这群喜欢爆炸的疯子，除非钱够多。所以在次元交易所购买物品时的价格变为原本的10倍。'
    }),
    '地精-爆破师' : new Race({
        name : '地精-爆破师',
        godRace : '地精-爆破工程师',
        recipes : {
            '硫磺-1' : createRecipesCfg({'铜矿' : 1}, 1, '熔炉'),
            '硫磺-2' : createRecipesCfg({'铁矿' : 1}, 1, '熔炉'),
            '硫磺-3' : createRecipesCfg({'金矿' : 1}, 1, '熔炉'),
            '硝酸钾' : createRecipesCfg({'纤维' : 10, '木材' : 1}, 1, '熔炉'),
            '木炭' : createRecipesCfg({'木材' : 1}, 1, '熔炉'),
            '黑火药' : createRecipesCfg({'硝酸钾' : 15, '木炭' : 3, '硫磺' : 2}, 1, null, 20),
            '强化黑火药-1' : createRecipesCfg({'黑火药' : 3, '魔力水晶' : 1}, 1),
            '强化黑火药-2' : createRecipesCfg({'黑火药' : 3, '魔力水晶' : 1}, 1),
            '信仰火药' : createRecipesCfg({'黑火药' : 5, '信仰雕像' : 5}, 1),
            '劣质炸药' : createRecipesCfg({'黑火药' : 3, '石头' : 2, '兽皮' : 1, '纤维' : 2}, 1),
            '魔晶炸药' : createRecipesCfg({'黑火药' : 10, '魔晶石' : 5, '兽皮' : 1, '纤维' : 2}, 1),
            '骨刺炸药' : createRecipesCfg({'强化黑火药' : 5, '骨刺' : 10, '大地之皮' : 2, '幽灵蛛丝' : 4}, 1),
            '魔法炸药' : createRecipesCfg({'强化黑火药' : 10, '魔法宝石' : 5, '灰白的皮' : 3, '枯朽粘液' : 5}, 1),
            '飓风炸药' : createRecipesCfg({'信仰火药' : 2, '飓风魔核' : 5, '飓风魔皮' : 3, '染血锁环' : 5}, 1),
        },
        skills : {
            '埋雷' : createRecipesCfg({木炭 : 1}, 0, null, 1000),
            '引诱' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
        },
        text : '地精一次觉醒种族，能制造威力更大的炸药'
    }),
    '地精-工程师' : new Race({
        name : '地精-工程师',
        godRace : '地精-爆破工程师',
        recipes : {
            '坐骑：伐木机器人' : createRecipesCfg({'铁锭' : 500, '铜锭' : 300, '神性结晶' : 3, '紫晶之核' : 10}, 1),
            '心脏起搏器' : createRecipesCfg({'雷角' : 10, '铁锭' : 2, '铜锭' : 1}, 1),
            '空间撕裂器' : createRecipesCfg({'铁锭' : 3, '铜锭' : 1, '时空粉尘' : 1}, 1),
        },
        text : '地精一次觉醒种族，工程师们认为，爆炸救不了地精，地精的未来还得靠工程学。无法再制造炸药相关物品，但是能在工作台中制造各种工程学造物。什么，机器人太重，不方便？你倒是做一些次元钥匙啊！'
    }),
    '地精-爆破工程师' : new Race({
        name : '地精-爆破工程师',
        recipes : {
            '硫磺-1' : createRecipesCfg({'铜矿' : 1}, 1, '熔炉'),
            '硫磺-2' : createRecipesCfg({'铁矿' : 1}, 1, '熔炉'),
            '硫磺-3' : createRecipesCfg({'金矿' : 1}, 1, '熔炉'),
            '硝酸钾' : createRecipesCfg({'纤维' : 10, '木材' : 1}, 1, '熔炉'),
            '木炭' : createRecipesCfg({'木材' : 1}, 1, '熔炉'),
            '黑火药' : createRecipesCfg({'硝酸钾' : 15, '木炭' : 3, '硫磺' : 2}, 1, null, 20),
            '强化黑火药-1' : createRecipesCfg({'黑火药' : 3, '魔力水晶' : 1}, 1),
            '强化黑火药-2' : createRecipesCfg({'黑火药' : 3, '魔力水晶' : 1}, 1),
            '信仰火药' : createRecipesCfg({'黑火药' : 5, '信仰雕像' : 5}, 1),
            '劣质炸药' : createRecipesCfg({'黑火药' : 3, '石头' : 2, '兽皮' : 1, '纤维' : 2}, 1),
            '魔晶炸药' : createRecipesCfg({'黑火药' : 10, '魔晶石' : 5, '兽皮' : 1, '纤维' : 2}, 1),
            '骨刺炸药' : createRecipesCfg({'强化黑火药' : 5, '骨刺' : 10, '大地之皮' : 2, '幽灵蛛丝' : 4}, 1),
            '魔法炸药' : createRecipesCfg({'强化黑火药' : 10, '魔法宝石' : 5, '灰白的皮' : 3, '枯朽粘液' : 5}, 1),
            '飓风炸药' : createRecipesCfg({'信仰火药' : 2, '飓风魔核' : 5, '飓风魔皮' : 3, '染血锁环' : 5}, 1),
            '坐骑：伐木机器人' : createRecipesCfg({'铁锭' : 500, '铜锭' : 300, '神性结晶' : 3, '紫晶之核' : 10}, 1),
            '心脏起搏器' : createRecipesCfg({'雷角' : 10, '铁锭' : 2, '铜锭' : 1}, 1),
            '空间撕裂器' : createRecipesCfg({'铁锭' : 3, '铜锭' : 1, '时空粉尘' : 1}, 1),
            '某元素235' : createRecipesCfg({'神格' : 1, '变异核心' : 10000}, 1),
            '某元素239' : createRecipesCfg({'神格' : 1, '虚空粉尘' : 10000}, 1),
            '某元素241' : createRecipesCfg({'神格' : 1, '龙魂宝石' : 1}, 1),
            '会裂开的炸药' : createRecipesCfg({'某元素235' : 5, '某元素239' : 5, '某元素241' : 10, '铁锭' : 50, '铜锭' : 20}, 1),
            '坐骑：载弹机器人' : createRecipesCfg({'铁锭' : 300, '铜锭' : 200, '暴风龙眼' : 3, '紫晶之核' : 10}, 1),
        },
        skills : {
            '埋雷' : createRecipesCfg({木炭 : 1}, 0, null, 1000),
            '引诱' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
        },
        text : '地精共用二次觉醒种族，顶级的爆破师和工程师一致认为，单靠工程学或者爆破学救不了地精，他们决定互相学习，最终将工程学和爆破学融为一体，成就了最伟大的地精双料博士，爆破工程师'
    }),
    '狐族' : new Race({
        name : '狐族',
        get : '地球人-蜀山在使用天雷合并时，有1%概率解锁狐族',
        skills : {
            '吓唬' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
        },
        text : '本是蜀山中一只小狐狸，某日蜀山发生仙魔大战，天雷合并剑意连绵不绝，受逸散的灵气影响，从而诞生灵智，也与天雷合并的气息产生关联。一日，突然受到天雷合并剑意牵引，落入异界之中。虽有灵智，本体仍为一幼狐，体质孱弱，需尽全力，才能博得一线生机。PS：一转前属性很低，但是学习能力很强（每级3点属性点）。一转后属性将反超其他种族'
    }),
    '狐族-狐妖' : new Race({
        name : '狐族-狐妖',
        godRace : '狐族-狐仙',
        skills : {
            '狐火' : createRecipesCfg({纤维 : 1}),
            '唤灵' : createRecipesCfg({纤维 : 1}),
            '迷魂' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
        },
        text : '狐族一次觉醒种族（狐族只有这一个一转）。已脱离凡兽范围，化身为妖兽，体质超长，并习得些许妖法'
    }),
    '狐族-狐仙' : new Race({
        name : '狐族-狐仙',
        skills : {
            '狐火' : createRecipesCfg({纤维 : 1}),
            '唤灵' : createRecipesCfg({纤维 : 1}),
            '迷魂' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '呼风' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '唤雨' : createRecipesCfg({纤维 : 1}),
            '招雷' : createRecipesCfg({纤维 : 1}),
        },
        text : '狐族-狐妖二次觉醒种族，得道成仙，一举一动，便能呼风唤雨，电闪雷鸣。小提示：饥饿和水分不够用？属性点加到饥饿和水分上啊！'
    }),
    '断肠人' : new Race({
        name : '断肠人',
        get : '使用“小型传送阵”在地图上传送时(星灵传送时不消耗小型传送阵，所以无法解锁)，有1%几率解锁断肠人',
        onCreate(){
            if(data.maxSan > 99){
                data.maxSan = 99;
                addObjSan(data, 0)
            }
            data.soulName = randomNum() <= 50 ? '泷' : '鸳';
        },
        changeSoul(){
            data.soulName = data.soulName === '泷' ? '鸳' : '泷';
            data.reduceHart -= data.cnReduceHart;
            data.cnReduceHart = 0;
            addStatus(data, getStatus('心悸'))
            addBattleLog(data.race.says[data.soulName].getRandom())
        },
        skills : {
            '悲怨' : createRecipesCfg({纤维 : 1}),
            '痴念' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '癫狂' : createRecipesCfg({纤维 : 1}),
            '肝肠寸断' : createRecipesCfg({天赋神晶 : 1}),
        },
        says : {
            泷 : [
                '宁同万死碎绮翼，不忍云间两分张。',
                '明月楼高休独倚。酒入愁肠，化作相思泪。',
                '起来呵手封题处，偏到鸳鸯两字冰。',
                '行宫见月伤心色，夜雨闻铃肠断声。',
                '世事茫茫难自料，春愁黯黯独成眠。',
                '一枝红艳露凝霜，云雨巫山枉断肠。',
                '尽叫得鹃声碎,却教人空断肠。',
            ],
            鸳 : [
                '君埋泉下泥销骨，我寄人间雪满头。',
                '不知魂已断，空有梦相随。',
                '枕前泪共阶前雨，隔个窗儿滴到明。',
                '思君如满月，夜夜减清辉。',
                '从别后，忆相逢，几回魂梦与君同。',
                '不觉新凉似水，相思两鬓如霜。',
                '忧来思君不敢忘，不觉泪下沾衣裳。',
                '红绽樱桃含白雪，断肠声里唱阳关。',
            ],
        },
        text : '“泷”和“鸳”是一对痴恋的情侣，某日，两人远游登山，忽然狂风大作，将二人吹下山崖，双方临死前所见的最后一幕，是对方死亡的瞬间。死亡后，二人的灵魂被卷入时空裂缝，在巧合下穿越到了异界，并自动凝结出一具躯体，两人因灵魂扭曲，共用着一副躯体，当泷苏醒时，身体会变成泷的模样，鸳苏醒时亦然。两人的灵魂扭曲在了一起，但灵魂的扭曲让双方的意识都出现了一定程度的混乱，每当一方醒来，都可以获得另一方活动的记忆，但却都以为是自己的记忆，谁都意识不到其中有何问题。双方苦苦思念着对方，却永远找不到对方。该角色的背景设定在游戏中体现为：初始理智为99，克苏鲁学识为0，即少了的1点理智无法带来克苏鲁学识（即你就算理智变为90，也是9点克苏鲁学识，而不是10点），也不会导致灵感触动的触发，但可能导致战斗中疯狂。游戏开局时，出现的灵魂随机为“泷”或“鸳”。每当在战斗中触发疯狂时，会变为另一个灵魂操控身体，且给自身附加“心悸”状态，该状态不会自动消失。每个灵魂能使用的技能不一样。'
    }),
    '断肠人-孤芳' : new Race({
        name : '断肠人-孤芳',
        godRace : '断肠人-红煞',
        skills : {
            '万年霜雪' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '残花落尽' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
        },
        text : '断肠人一次觉醒种族，无法通过常规方式觉醒，必须使用技能“肝肠寸断”才能觉醒。“鸳”苦苦思念着“泷”，多少个日夜之后终是明白，此生相见无望，唯有孤芳自赏，独自凋零。鸳的悲恸磨灭了泷的灵魂，从此不会再切换灵魂。'
    }),
    '断肠人-红煞' : new Race({
        name : '断肠人-红煞',
        skills : {
            '疯魔' : createRecipesCfg({纤维 : 1}),
        },
        text : '断肠人-孤芳二次觉醒种族。神灵之力抚平了“鸳”灵魂中的混乱，鸳想起了当初和泷双魂一体的日子，也明白了泷原来一直都在自己身边，但是当初肝肠寸断之时，却是自己无意间将泷的灵魂磨灭。鸳意识到，是自己杀死了泷，且使泷神魂俱灭。被抚平的灵魂彻底崩溃，鸳彻底的疯了。'
    }),
    '断肠人-独竹' : new Race({
        name : '断肠人-独竹',
        godRace : '断肠人-黑邪',
        skills : {
            '心茫然' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
        },
        text : '断肠人一次觉醒种族，无法通过常规方式觉醒，必须使用技能“肝肠寸断”才能觉醒。“泷”一直告诉自己，自己能重生，“鸳”理应也行。然而日日苦寻不得果，终是心生绝望，放弃追寻。此生只剩对影成双，却是无处话凄凉。泷的悲恸磨灭了鸳的灵魂，从此不会再切换灵魂。'
    }),
    '断肠人-黑邪' : new Race({
        name : '断肠人-黑邪',
        skills : {
            '崩灵' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
        },
        text : '断肠人-独竹二次觉醒种族。神灵之力抚平了“泷”灵魂中的混乱，泷想起了当初和鸳双魂一体的日子，才知晓两人当初虽不得相见，却从未相离。可自己肝肠寸断之时，却无意间将鸳的灵魂磨灭，魂消魄散。两人本可为比翼鸟，却因为自己的软弱，使得鸳永不超生，二人更是连人鬼殊途都算不上，便是能入碧落黄泉却再也寻不到鸳了。被抚平的灵魂彻底崩溃，泷彻底的疯了。'
    }),
    '断肠人-花魂' : new Race({
        name : '断肠人-花魂',
        godRace : '断肠人-双仙',
        skills : {
            '风月情浓' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '死生契阔' : createRecipesCfg({纤维 : 1}),
        },
        text : '断肠人一次觉醒种族，觉醒方式未知（意思是，这个是隐藏种族）。鸳的灵魂分离了出来，身体永远由泷掌控，鸳以灵体的形式存在，虽为灵体，却可互相触碰，相依相偎。二人终能生死相依，形影不离。'
    }),
    '断肠人-双仙' : new Race({
        name : '断肠人-双仙',
        skills : {
            '风月情浓' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '死生契阔' : createRecipesCfg({纤维 : 1}),
        },
        text : '断肠人-花魂二次觉醒种族，战斗中死亡时，可满血复活（每场战斗一次），并获得“双仙”状态，你受到攻击时，敌方将受到相当于你攻击力（包含已装备的武器的攻击力）的伤害，该状态不会自动消失'
    }),
    '天使' : new Race({
        name : '天使',
        get : '拥有1000善良值或1000邪恶值时解锁',
        skills : {
        },
        text : '天使翅膀的颜色会随着善恶的变化而变化，所以一眼就能看出所属阵营，当你和NPC接触时，NPC不会消耗阵营卷轴，会立即获取你的阵营，并根据你所属阵营给出反应。和使用阵营检测卷轴检测你的阵营同理，如果NPC在第一次接触你时没有攻击你，以后你再接触这个NPC他也不会攻击你，即使你的善恶值或阵营发生了变化。天使对阵营的感知同样很强，能感知到同阵营的人物所在，在地图上同阵营的NPC会以褐色标注所在位置'
    }),
    '天使-混沌' : new Race({
        name : '天使-混沌',
        godRace : '天使-伪神',
        skills : {
            '混沌审判' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
        },
        text : '天使一次觉醒种族（天使只有这一个一次觉醒种族）。当获取善良值或者邪恶值时，获取的值翻倍。当获取善良值时，如果所属阵营为邪恶阵营，则不会增加善良值，而是将阵营直接转为善良阵营，并获得和邪恶值相等的善良值，例如：你现在是邪恶阵营，拥有100点邪恶值，当你获取善良值时，不管获取的值是多少，本次都不会增加善良值，而你本人将直接变为善良阵营，并拥有100点善良值。如果此时你再获取善良值，比如5点，因为你是善良阵营，所以可以正常获取，又因为翻倍，所以你的善良值变为110'
    }),
    '天使-伪神' : new Race({
        name : '天使-伪神',
        skills : {
            '混沌审判' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '阵营转换' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
        },
        text : '天使-混沌二次觉醒种族，可以自由转换阵营。保留天使-混沌的特性，并且当获取善良值或者邪恶值时，获取的值变为3倍'
    }),
    '魔术师' : new Race({
        name : '魔术师',
        get : '背包中有五种颜色的璀璨宝石至少各100个时，使用任意一个璀璨的宝石，即可解锁',
        initItems : [{name : '技能石：宝石阵_碎裂', num : 1000},{name : '技能石：红宝石镶嵌', num : 1000},{name : '技能石：黄宝石镶嵌', num : 1000},{name : '技能石：紫宝石镶嵌', num : 1000},{name : '技能石：绿宝石镶嵌', num : 1000},{name : '技能石：橙宝石镶嵌', num : 1000},{name : '技能石：火焰魔术', num : 1},{name : '技能石：冰霜魔术', num : 1}],
        skills : {
            '宝石阵_碎裂' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '宝石阵_裂开' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '宝石阵_完整' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '宝石阵_无瑕' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '宝石阵_完美' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '宝石阵_璀璨' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '红宝石镶嵌' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '黄宝石镶嵌' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '紫宝石镶嵌' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '绿宝石镶嵌' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '橙宝石镶嵌' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '火焰魔术' : createRecipesCfg({纤维 : 1}),
            '冰霜魔术' : createRecipesCfg({纤维 : 1}),
        },
        text : '魔术的本质就是欺骗，而魔术师欺骗的是世界。魔术表演的越多，被了解的就越多，威力也就越小。魔术师需要消耗宝石激活魔术，但是每一种宝石每被作为魔术材料使用1颗，都会降低该宝石千分之一的威力。例如：假设碎裂的红宝石已经被使用过3次，碎裂的黄宝石已经被使用5次，此时使用一个魔术，需要消耗1个碎裂的红宝石，1个碎裂的黄宝石，1个碎裂的绿宝石，本该造成6000伤害。此时，因为红黄宝石已经被用过，最终的伤害比例为(1000+1000+1000-3-5)/3000，即3000分之2992，约等于99.73%，即最终伤害为5984。而用完该技能后，碎裂的红宝石就被使用过4次，碎裂的黄宝石就被使用过6次了。不同品质的宝石是分开算的，所以不会影响裂开的红宝石、完美的黄宝石等其他宝石的使用次数。这一特性得到的最终伤害百分比（就是上面的99.73）被称为“最终效果”。魔术师在激活魔术时，有两个特定的概念：“品质基数”和“倍率加值”。例如，当魔术要求“需要宝石阵上镶嵌宝石的比例为【红:黄:橙=2:3:1】”时，你镶嵌的宝石数为红色2个，黄色3个，橙色1个，倍率加值就是0。如果你镶嵌的宝石数为红色6个，黄色9个，橙色3个，倍率加值就是2。也就是说，你每比比例要求多1倍，倍率加值就+1。如果使用的是碎裂宝石阵，则品质基数是1，品质每提高1层，品质基数+1，即裂开的品质基数是2，完整是3，以此类推。每个魔术的效果都会受到“最终效果”、“品质基数”和“倍率加值”的影响，具体影响方式会在魔术的说明中写出。'
    }),
    '魔术师-光影' : new Race({
        name : '魔术师-光影',
        godRace : '魔术师-璀璨',
        skills : {
            '宝石阵_碎裂' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '宝石阵_裂开' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '宝石阵_完整' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '宝石阵_无瑕' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '宝石阵_完美' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '宝石阵_璀璨' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '红宝石镶嵌' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '黄宝石镶嵌' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '紫宝石镶嵌' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '绿宝石镶嵌' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '橙宝石镶嵌' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '火焰魔术' : createRecipesCfg({纤维 : 1}),
            '冰霜魔术' : createRecipesCfg({纤维 : 1}),
            '彩虹魔术' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
        },
        text : '魔术师一次觉醒种族'
    }),
    '魔术师-璀璨' : new Race({
        name : '魔术师-璀璨',
        skills : {
            '宝石阵_碎裂' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '宝石阵_裂开' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '宝石阵_完整' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '宝石阵_无瑕' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '宝石阵_完美' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '宝石阵_璀璨' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '红宝石镶嵌' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '黄宝石镶嵌' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '紫宝石镶嵌' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '绿宝石镶嵌' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '橙宝石镶嵌' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '火焰魔术' : createRecipesCfg({纤维 : 1}),
            '冰霜魔术' : createRecipesCfg({纤维 : 1}),
            '彩虹魔术' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '极光魔术' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
        },
        text : '魔术师-光影二次觉醒种族'
    }),
    '魔术师-塑能' : new Race({
        name : '魔术师-塑能',
        godRace : '魔术师-掌控',
        skills : {
            '宝石阵_碎裂' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '宝石阵_裂开' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '宝石阵_完整' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '宝石阵_无瑕' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '宝石阵_完美' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '宝石阵_璀璨' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '红宝石镶嵌' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '黄宝石镶嵌' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '紫宝石镶嵌' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '绿宝石镶嵌' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '橙宝石镶嵌' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '火焰魔术' : createRecipesCfg({纤维 : 1}),
            '冰霜魔术' : createRecipesCfg({纤维 : 1}),
            '爆炸魔术' : createRecipesCfg({纤维 : 1}),
        },
        text : '魔术师一次觉醒种族'
    }),
    '魔术师-掌控' : new Race({
        name : '魔术师-掌控',
        skills : {
            '宝石阵_碎裂' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '宝石阵_裂开' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '宝石阵_完整' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '宝石阵_无瑕' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '宝石阵_完美' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '宝石阵_璀璨' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '红宝石镶嵌' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '黄宝石镶嵌' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '紫宝石镶嵌' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '绿宝石镶嵌' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '橙宝石镶嵌' : createRecipesCfg({纤维 : 1}, 0, null, 1000),
            '火焰魔术' : createRecipesCfg({纤维 : 1}),
            '冰霜魔术' : createRecipesCfg({纤维 : 1}),
            '爆炸魔术' : createRecipesCfg({纤维 : 1}),
            '陨石魔术' : createRecipesCfg({纤维 : 1}),
        },
        text : '魔术师-塑能二次觉醒种族'
    }),
};

//查看种族信息
function seeRace(name){
    $('.common-win').show().find('.win-body').html(getRaceText(name));
}

//获取种族说明
function getRaceText(name){
    const defaultRace = new Race();
    return '<p>'+Object.keys(races).filter(e => e.startsWith(name)).map(race => {
        let html = ``;
        html += `<h5 style="text-align: center">${race}</h5><p>`;
        html += `<font color="${defaultRace.hp > races[race].hp ? 'red' : defaultRace.hp < races[race].hp ? '#2eaffd' : ''}">初始生命：${races[race].hp}</font><br>`;
        html += `<font color="${defaultRace.hunger > races[race].hunger ? 'red' : defaultRace.hunger < races[race].hunger ? '#2eaffd' : ''}">初始饥饿：${races[race].hunger}</font><br>`;
        html += `<font color="${defaultRace.water > races[race].water ? 'red' : defaultRace.water < races[race].water ? '#2eaffd' : ''}">初始水分：${races[race].water}</font><br>`;
        html += `<font color="${defaultRace.weight > races[race].weight ? 'red' : defaultRace.weight < races[race].weight ? '#2eaffd' : ''}">初始负重：${races[race].weight}</font><br>`;
        html += `<font color="${defaultRace.atk > races[race].atk ? 'red' : defaultRace.atk < races[race].atk ? '#2eaffd' : ''}">初始攻击：${races[race].atk}</font><br>`;
        html += `<font color="${defaultRace.def > races[race].def ? 'red' : defaultRace.def < races[race].def ? '#2eaffd' : ''}">初始防御：${races[race].def}</font><br>`;
        html += `<font color="${defaultRace.hpUp > races[race].hpUp ? 'red' : defaultRace.hpUp < races[race].hpUp ? '#2eaffd' : ''}">升级提升生命值：${races[race].hpUp}</font><br>`;
        html += `<font color="${defaultRace.hungerUp > races[race].hungerUp ? 'red' : defaultRace.hungerUp < races[race].hungerUp ? '#2eaffd' : ''}">升级提升饥饿：${races[race].hungerUp}</font><br>`;
        html += `<font color="${defaultRace.waterUp > races[race].waterUp ? 'red' : defaultRace.waterUp < races[race].waterUp ? '#2eaffd' : ''}">升级提升水分：${races[race].waterUp}</font><br>`;
        html += `<font color="${defaultRace.weightUp > races[race].weightUp ? 'red' : defaultRace.weightUp < races[race].weightUp ? '#2eaffd' : ''}">升级提升负重：${races[race].weightUp}</font><br>`;
        html += `<font color="${defaultRace.atkUp > races[race].atkUp ? 'red' : defaultRace.atkUp < races[race].atkUp ? '#2eaffd' : ''}">升级提升攻击：${races[race].atkUp}</font><br>`;
        html += `<font color="${defaultRace.defUp > races[race].defUp ? 'red' : defaultRace.defUp < races[race].defUp ? '#2eaffd' : ''}">升级提升防御：${races[race].defUp}</font><br>`;
        html += `升级获得属性点：${races[race].attrPoint}<br>`;
        html += `攻击速度：${races[race].atkSpd}<br>`;
        html += `解锁方式：${races[race].get ? races[race].get : getUnlockMethod(race)}<br>`;
        if(races[race].text){
            html += `特性：${races[race].text}<br>`;
        }
        html += `<b>初始携带物品：</b>${races[race].initItems.map(i => `${i.name}<span class="to-cybernet" data-name="${i.name}">🔍</span>*${i.num}`).join('，') || '无'}<br>`;
        html += `<br><b>种族技能(制造材料)</b><br>${Object.keys(races[race].skills).map(s => `<b>${s}</b><span class="to-cybernet" data-name="技能石：${getFirstName(s)}">🔍</span>(${Object.keys(races[race].skills[s].items).map(i => `${i}<span class="to-cybernet" data-name="${getFirstName(i)}">🔍</span>*${races[race].skills[s].items[i]}`).join('+')})：${elementCfgs[`技能石：${getFirstName(s)}`].text}`).join('<br>') || '无'}<br>`;
        html += `<br><b>种族特有配方(制造材料)</b><br>${Object.keys(races[race].recipes).map(s => `<b>${s}</b><span class="to-cybernet" data-name="${getFirstName(s)}">🔍</span>(${Object.keys(races[race].recipes[s].items).map(i => `${i}<span class="to-cybernet" data-name="${getFirstName(i)}">🔍</span>*${races[race].recipes[s].items[i]}`).join('+')})：${elementCfgs[`${getFirstName(s)}`].text}`).join('<br>') || '无'}<br>`;
        html += `</P>`;
        return html;
    }).join('<br><br>')+'</p>';
}

//用横杠分割，取横杠前面的名字
function getFirstName(val){
    console.log(val)
    if(!val){
        return val;
    }
    return val.includes('-') ? val.substr(0, val.indexOf('-')) : val;
}

//获取解锁方式
function getUnlockMethod(raceName){
    if(races[raceName].challenge){
        return '挑战种族，无需解锁，在正常以上难度才能玩';
    }
    if(initRaces.includes(raceName)){
        return '初始种族，无需解锁';
    }
    if(raceName.includes('-')){
        if(races[raceName].godRace){
            return "一转种族，无需解锁，需要使用基础种族进行一转（游戏内称之为第一次觉醒）";
        }else{
            return "二转种族，无需解锁，需要使用一转种族进行二转（游戏内称之为第二次觉醒）";
        }
    }
}
